=== modified file 'Makefile.am'
--- Makefile.am	2009-05-23 23:12:39 +0000
+++ Makefile.am	2009-05-23 23:51:18 +0000
@@ -56,6 +56,13 @@
 		client/drizzleslap \
 		extra/innochecksum
 
+man_MANS=\
+		client/drizzle.1 \
+		client/drizzlecheck.1 \
+		client/drizzled.8 \
+		client/drizzledump.1 \
+		client/drizzleimport.1 \
+		client/drizzleslap.1
 
 client_libgetpassword_la_SOURCES= client/get_password.cc
 

=== added file 'client/drizzle.1'
--- client/drizzle.1	1970-01-01 00:00:00 +0000
+++ client/drizzle.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,1618 @@
+.\"     Title: \fBmysql\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: Drizzle Database System
+.\"    Source: Drizzle
+.\"
+.TH "\fBDRIZZLE\fR" "1" "05/23/2009" "Drizzle" "Drizzle Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+drizzle \- the Drizzle command\-line tool
+.SH "SYNOPSIS"
+.HP 24
+\fBdrizzle [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR
+.SH "DESCRIPTION"
+.PP
+\fBdrizzle\fR
+is a simple SQL shell (with GNU
+readline
+capabilities). It supports interactive and non\-interactive use. When used interactively, query results are presented in an ASCII\-table format. When used non\-interactively (for example, as a filter), the result is presented in tab\-separated format. The output format can be changed using command options.
+.PP
+If you have problems due to insufficient memory for large result sets, use the
+\fB\-\-quick\fR
+option. This forces
+\fBdrizzle\fR
+to retrieve results from the server a row at a time rather than retrieving the entire result set and buffering it in memory before displaying it.
+.PP
+Using
+\fBdrizzle\fR
+is very easy. Invoke it from the prompt of your command interpreter as follows:
+.sp
+.RS 3n
+.nf
+shell> \fBdrizzle \fR\fB\fIdb_name\fR\fR
+.fi
+.RE
+.PP
+Or:
+.sp
+.RS 3n
+.nf
+shell> \fBdrizzle \-\-user=\fR\fB\fIuser_name\fR\fR\fB \-\-password=\fR\fB\fIyour_password\fR\fR\fB \fR\fB\fIdb_name\fR\fR
+.fi
+.RE
+.PP
+Then type an SQL statement, end it with
+\(lq;\(rq,
+\\g, or
+\\G
+and press Enter.
+.PP
+Typing Control\-C causes
+\fBdrizzle\fR
+to attempt to kill the current statement. If this cannot be done, or Control\-C is typed again before the statement is killed,
+\fBdrizzle\fR
+exits.
+.PP
+You can execute SQL statements in a script file (batch file) like this:
+.sp
+.RS 3n
+.nf
+shell> \fBdrizzle \fR\fB\fIdb_name\fR\fR\fB < \fR\fB\fIscript.sql\fR\fR\fB > \fR\fB\fIoutput.tab\fR\fR
+.fi
+.RE
+.SH "\fBDRIZZLE\fR OPTIONS"
+.PP
+\fBdrizzle\fR
+supports the options in the following list.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit.
+.TP 3n
+\(bu
+\fB\-\-auto\-rehash\fR
+.sp
+Enable automatic rehashing. This option is on by default, which enables database, table, and column name completion. Use
+\fB\-\-disable\-auto\-rehash\fR
+to disable rehashing. That causes
+\fBdrizzle\fR
+to start faster, but you must issue the
+rehash
+command if you want to use name completion.
+.sp
+To complete a name, enter the first part and press Tab. If the name is unambiguous,
+\fBdrizzle\fR
+completes it. Otherwise, you can press Tab again to see the possible names that begin with what you have typed so far. Completion does not occur if there is no default database.
+.TP 3n
+\(bu
+\fB\-\-auto\-vertical\-output\fR
+.sp
+Causes result sets to be displayed vertically if they are too wide for the current window, and using normal tabular format otherwise. (This applies to statements terminated by
+;
+or
+\\G.) This option was added in Drizzle 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-batch\fR,
+\fB\-B\fR
+.sp
+Print results using tab as the column separator, with each row on a new line. With this option,
+\fBdrizzle\fR
+does not use the history file.
+.sp
+Batch mode results in non\-tabular output format and escaping of special characters. Escaping may be disabled by using raw mode; see the description for the
+\fB\-\-raw\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
+.sp
+The directory where character sets are installed. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-column\-names\fR
+.sp
+Write column names in results.
+.TP 3n
+\(bu
+\fB\-\-column\-type\-info\fR,
+\fB\-m\fR
+.sp
+Display result set metadata.
+.TP 3n
+\(bu
+\fB\-\-comments\fR,
+\fB\-c\fR
+.sp
+Whether to preserve comments in statements sent to the server. The default is \-\-skip\-comments (discard comments), enable with \-\-comments (preserve comments). This option was added in Drizzle 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-compress\fR,
+\fB\-C\fR
+.sp
+Compress all information sent between the client and the server if both support compression.
+.TP 3n
+\(bu
+\fB\-\-database=\fR\fB\fIdb_name\fR\fR,
+\fB\-D \fR\fB\fIdb_name\fR\fR
+.sp
+The database to use. This is useful primarily in an option file.
+.TP 3n
+\(bu
+\fB\-\-debug\-check\fR
+.sp
+Print some debugging information when the program exits.
+.TP 3n
+\(bu
+\fB\-\-debug\-info\fR,
+\fB\-T\fR
+.sp
+Print debugging information and memory and CPU usage statistics when the program exits.
+.TP 3n
+\(bu
+\fB\-\-delimiter=\fR\fB\fIstr\fR\fR
+.sp
+Set the statement delimiter. The default is the semicolon character (\(lq;\(rq).
+.TP 3n
+\(bu
+\fB\-\-disable\-named\-commands\fR
+.sp
+Disable named commands. Use the
+\\*
+form only, or use named commands only at the beginning of a line ending with a semicolon (\(lq;\(rq).
+\fBdrizzle\fR
+starts with this option
+\fIenabled\fR
+by default. However, even with this option, long\-format commands still work from the first line. See
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq.
+.TP 3n
+\(bu
+\fB\-\-execute=\fR\fB\fIstatement\fR\fR,
+\fB\-e \fR\fB\fIstatement\fR\fR
+.sp
+Execute the statement and quit. The default output format is like that produced with
+\fB\-\-batch\fR. See
+Section\ 4.2.3.1, \(lqUsing Options on the Command Line\(rq, for some examples.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Continue even if an SQL error occurs.
+.TP 3n
+\(bu
+\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
+\fB\-h \fR\fB\fIhost_name\fR\fR
+.sp
+Connect to the Drizzle server on the given host.
+.TP 3n
+\(bu
+\fB\-\-html\fR,
+\fB\-H\fR
+.sp
+Produce HTML output.
+.TP 3n
+\(bu
+\fB\-\-ignore\-spaces\fR,
+\fB\-i\fR
+.sp
+Ignore spaces after function names. The effect of this is described in the discussion for the
+IGNORE_SPACE
+SQL mode (see
+Section\ 5.1.7, \(lqServer SQL Modes\(rq).
+.TP 3n
+\(bu
+\fB\-\-line\-numbers\fR
+.sp
+Write line numbers for errors. Disable this with
+\fB\-\-skip\-line\-numbers\fR.
+.TP 3n
+\(bu
+\fB\-\-local\-infile[={0|1}]\fR
+.sp
+Enable or disable
+LOCAL
+capability for
+LOAD DATA INFILE. With no value, the option enables
+LOCAL. The option may be given as
+\fB\-\-local\-infile=0\fR
+or
+\fB\-\-local\-infile=1\fR
+to explicitly disable or enable
+LOCAL. Enabling
+LOCAL
+has no effect if the server does not also support it.
+.TP 3n
+\(bu
+\fB\-\-named\-commands\fR,
+\fB\-G\fR
+.sp
+Enable named
+\fBdrizzle\fR
+commands. Long\-format commands are allowed, not just short\-format commands. For example,
+quit
+and
+\\q
+both are recognized. Use
+\fB\-\-skip\-named\-commands\fR
+to disable named commands. See
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq.
+.TP 3n
+\(bu
+\fB\-\-no\-auto\-rehash\fR,
+\fB\-A\fR
+.sp
+Deprecated form of
+\fB\-skip\-auto\-rehash\fR. Use
+\fB\-\-disable\-auto\-rehash\fR
+instead. See the description for
+\fB\-\-auto\-rehash\fR.
+.TP 3n
+\(bu
+\fB\-\-no\-beep\fR,
+\fB\-b\fR
+.sp
+Do not beep when errors occur.
+.TP 3n
+\(bu
+\fB\-\-no\-named\-commands\fR,
+\fB\-g\fR
+.sp
+Deprecated, use
+\fB\-\-disable\-named\-commands\fR
+instead.
+.TP 3n
+\(bu
+\fB\-\-no\-pager\fR
+.sp
+Deprecated form of
+\fB\-\-skip\-pager\fR. See the
+\fB\-\-pager\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-no\-tee\fR
+.sp
+Do not copy output to a file.
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq, discusses tee files further.
+.TP 3n
+\(bu
+\fB\-\-one\-database\fR,
+\fB\-o\fR
+.sp
+Ignore statements except those for the default database named on the command line. This is useful for skipping updates to other databases in the binary log.
+.TP 3n
+\(bu
+\fB\-\-pager[=\fR\fB\fIcommand\fR\fR\fB]\fR
+.sp
+Use the given command for paging query output. If the command is omitted, the default pager is the value of your
+PAGER
+environment variable. Valid pagers are
+\fBless\fR,
+\fBmore\fR,
+\fBcat [> filename]\fR, and so forth. This option works only on Unix. It does not work in batch mode. To disable paging, use
+\fB\-\-skip\-pager\fR.
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq, discusses output paging further.
+.TP 3n
+\(bu
+\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
+\fB\-P[\fR\fB\fIpassword\fR\fR\fB]\fR
+.sp
+The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
+\fIcannot\fR
+have a space between the option and the password. If you omit the
+\fIpassword\fR
+value following the
+\fB\-\-password\fR
+or
+\fB\-p\fR
+option on the command line, you are prompted for one.
+.sp
+Specifying a password on the command line should be considered insecure. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.TP 3n
+\(bu
+\fB\-\-pipe\fR,
+\fB\-W\fR
+.sp
+On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
+.TP 3n
+\(bu
+\fB\-\-port=\fR\fB\fIport_num\fR\fR,
+\fB\-p \fR\fB\fIport_num\fR\fR
+.sp
+The TCP/IP port number to use for the connection.
+.TP 3n
+\(bu
+\fB\-\-prompt=\fR\fB\fIformat_str\fR\fR
+.sp
+Set the prompt to the specified format. The default is
+drizzle>. The special sequences that the prompt can contain are described in
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq.
+.TP 3n
+\(bu
+\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
+.sp
+The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
+Section\ 4.2.2, \(lqConnecting to the Drizzle Server\(rq.
+.TP 3n
+\(bu
+\fB\-\-quick\fR,
+\fB\-q\fR
+.sp
+Do not cache each query result, print each row as it is received. This may slow down the server if the output is suspended. With this option,
+\fBdrizzle\fR
+does not use the history file.
+.TP 3n
+\(bu
+\fB\-\-raw\fR,
+\fB\-r\fR
+.sp
+For tabular output, the
+\(lqboxing\(rq
+around columns enables one column value to be distinguished from another. For non\-tabular output (such as is produced in batch mode or when the
+\fB\-\-batch\fR
+or
+\fB\-\-silent\fR
+option is given), special characters are escaped in the output so they can be identified easily. Newline, tab,
+NUL, and backslash are written as
+\\n,
+\\t,
+\\0, and
+\\\\. The
+\fB\-\-raw\fR
+option disables this character escaping.
+.sp
+The following example demonstrates tabular versus non\-tabular output and the use of raw mode to disable escaping:
+.sp
+.RS 3n
+.nf
+% \fBdrizzle\fR
+drizzle> SELECT CHAR(92);
++\-\-\-\-\-\-\-\-\-\-+
+| CHAR(92) |
++\-\-\-\-\-\-\-\-\-\-+
+| \\        | 
++\-\-\-\-\-\-\-\-\-\-+
+% \fBdrizzle \-s\fR
+drizzle> SELECT CHAR(92);
+CHAR(92)
+\\\\
+% \fBdrizzle \-s \-r\fR
+drizzle> SELECT CHAR(92);
+CHAR(92)
+\\
+.fi
+.RE
+.TP 3n
+\(bu
+\fB\-\-reconnect\fR
+.sp
+If the connection to the server is lost, automatically try to reconnect. A single reconnect attempt is made each time the connection is lost. To suppress reconnection behavior, use
+\fB\-\-skip\-reconnect\fR.
+.TP 3n
+\(bu
+\fB\-\-safe\-updates\fR,
+\fB\-\-i\-am\-a\-dummy\fR,
+\fB\-U\fR
+.sp
+Allow only those
+UPDATE
+and
+DELETE
+statements that specify which rows to modify by using key values. If you have set this option in an option file, you can override it by using
+\fB\-\-safe\-updates\fR
+on the command line. See
+the section called \(lq\fBMYSQL\fR TIPS\(rq, for more information about this option.
+.TP 3n
+\(bu
+\fB\-\-secure\-auth\fR
+.sp
+Do not send passwords to the server in old (pre\-4.1.1) format. This prevents connections except for servers that use the newer password format.
+.TP 3n
+\(bu
+\fB\-\-show\-warnings\fR
+.sp
+Cause warnings to be shown after each statement if there are any. This option applies to interactive and batch mode.
+.TP 3n
+\(bu
+\fB\-\-sigint\-ignore\fR
+.sp
+Ignore
+SIGINT
+signals (typically the result of typing Control\-C).
+.TP 3n
+\(bu
+\fB\-\-silent\fR,
+\fB\-s\fR
+.sp
+Silent mode. Produce less output. This option can be given multiple times to produce less and less output.
+.sp
+This option results in non\-tabular output format and escaping of special characters. Escaping may be disabled by using raw mode; see the description for the
+\fB\-\-raw\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-skip\-column\-names\fR,
+\fB\-N\fR
+.sp
+Do not write column names in results. The short format,
+\fB\-N\fR
+is deprecated, use the long format instead.
+.TP 3n
+\(bu
+\fB\-\-skip\-line\-numbers\fR,
+\fB\-L\fR
+.sp
+Do not write line numbers for errors. Useful when you want to compare result files that include error messages. The short format,
+\fB\-L\fR
+is deprecated, use the long format instead.
+.TP 3n
+\(bu
+\fB\-\-socket=\fR\fB\fIpath\fR\fR,
+\fB\-S \fR\fB\fIpath\fR\fR
+.sp
+For connections to
+localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
+.TP 3n
+\(bu
+\fB\-\-ssl*\fR
+.sp
+Options that begin with
+\fB\-\-ssl\fR
+specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
+Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
+.TP 3n
+\(bu
+\fB\-\-table\fR,
+\fB\-t\fR
+.sp
+Display output in table format. This is the default for interactive use, but can be used to produce table output in batch mode.
+.TP 3n
+\(bu
+\fB\-\-tee=\fR\fB\fIfile_name\fR\fR
+.sp
+Append a copy of output to the given file. This option does not work in batch mode.
+the section called \(lq\fBMYSQL\fR COMMANDS\(rq, discusses tee files further.
+.TP 3n
+\(bu
+\fB\-\-unbuffered\fR,
+\fB\-n\fR
+.sp
+Flush the buffer after each query.
+.TP 3n
+\(bu
+\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
+\fB\-u \fR\fB\fIuser_name\fR\fR
+.sp
+The Drizzle user name to use when connecting to the server.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Produce more output about what the program does. This option can be given multiple times to produce more and more output. (For example,
+\fB\-v \-v \-v\fR
+produces table output format even in batch mode.)
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.TP 3n
+\(bu
+\fB\-\-vertical\fR,
+\fB\-E\fR
+.sp
+Print query output rows vertically (one line per column value). Without this option, you can specify vertical output for individual statements by terminating them with
+\\G.
+.TP 3n
+\(bu
+\fB\-\-wait\fR,
+\fB\-w\fR
+.sp
+If the connection cannot be established, wait and retry instead of aborting.
+.TP 3n
+.PP
+You can also set the following variables by using
+\fB\-\-\fR\fB\fIvar_name\fR\fR\fB=\fR\fB\fIvalue\fR\fR. The
+\fB\-\-set\-variable\fR
+format is deprecated.
+.TP 3n
+\(bu
+connect_timeout
+.sp
+The number of seconds before connection timeout. (Default value is
+0.)
+.TP 3n
+\(bu
+max_allowed_packet
+.sp
+The maximum packet length to send to or receive from the server. (Default value is 16MB.)
+.TP 3n
+\(bu
+max_join_size
+.sp
+The automatic limit for rows in a join when using
+\fB\-\-safe\-updates\fR. (Default value is 1,000,000.)
+.TP 3n
+\(bu
+net_buffer_length
+.sp
+The buffer size for TCP/IP and socket communication. (Default value is 16KB.)
+.TP 3n
+\(bu
+select_limit
+.sp
+The automatic limit for
+SELECT
+statements when using
+\fB\-\-safe\-updates\fR. (Default value is 1,000.)
+.sp
+.RE
+.PP
+On Unix, the
+\fBmysql\fR
+client writes a record of executed statements to a history file. By default, this file is named
+\fI.mysql_history\fR
+and is created in your home directory. To specify a different file, set the value of the
+MYSQL_HISTFILE
+environment variable.
+.PP
+The
+\fI.mysql_history\fR
+should be protected with a restrictive access mode because sensitive information might be written to it, such as the text of SQL statements that contain passwords. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.PP
+If you do not want to maintain a history file, first remove
+\fI.mysql_history\fR
+if it exists, and then use either of the following techniques:
+.TP 3n
+\(bu
+Set the
+MYSQL_HISTFILE
+variable to
+\fI/dev/null\fR. To cause this setting to take effect each time you log in, put the setting in one of your shell's startup files.
+.TP 3n
+\(bu
+Create
+\fI.mysql_history\fR
+as a symbolic link to
+\fI/dev/null\fR:
+.sp
+.RS 3n
+.nf
+shell> \fBln \-s /dev/null $HOME/.mysql_history\fR
+.fi
+.RE
+You need do this only once.
+.SH "\fBMYSQL\fR COMMANDS"
+.PP
+\fBmysql\fR
+sends each SQL statement that you issue to the server to be executed. There is also a set of commands that
+\fBmysql\fR
+itself interprets. For a list of these commands, type
+help
+or
+\\h
+at the
+mysql>
+prompt:
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp\fR
+List of all Drizzle commands:
+Note that all text commands must be first on line and end with ';'
+?         (\\?) Synonym for `help'.
+clear     (\\c) Clear command.
+connect   (\\r) Reconnect to the server. Optional arguments are db and host.
+delimiter (\\d) Set statement delimiter.
+edit      (\\e) Edit command with $EDITOR.
+ego       (\\G) Send command to mysql server, display result vertically.
+exit      (\\q) Exit mysql. Same as quit.
+go        (\\g) Send command to mysql server.
+help      (\\h) Display this help.
+nopager   (\\n) Disable pager, print to stdout.
+notee     (\\t) Don't write into outfile.
+pager     (\\P) Set PAGER [to_pager]. Print the query results via PAGER.
+print     (\\p) Print current command.
+prompt    (\\R) Change your mysql prompt.
+quit      (\\q) Quit mysql.
+rehash    (\\#) Rebuild completion hash.
+source    (\\.) Execute an SQL script file. Takes a file name as an argument.
+status    (\\s) Get status information from the server.
+system    (\\!) Execute a system shell command.
+tee       (\\T) Set outfile [to_outfile]. Append everything into given
+               outfile.
+use       (\\u) Use another database. Takes database name as argument.
+charset   (\\C) Switch to another charset. Might be needed for processing
+               binlog with multi\-byte charsets.
+warnings  (\\W) Show warnings after every statement.
+nowarning (\\w) Don't show warnings after every statement.
+For server side help, type 'help contents'
+.fi
+.RE
+.PP
+Each command has both a long and short form. The long form is not case sensitive; the short form is. The long form can be followed by an optional semicolon terminator, but the short form should not.
+.PP
+The use of short\-form commands within multi\-line
+/* ... */
+comments is not supported.
+.TP 3n
+\(bu
+\fBhelp [\fR\fB\fIarg\fR\fR\fB]\fR,
+\fB\\h [\fR\fB\fIarg\fR\fR\fB]\fR,
+\fB\\? [\fR\fB\fIarg\fR\fR\fB]\fR,
+\fB? [\fR\fB\fIarg\fR\fR\fB]\fR
+.sp
+Displays a help message listing the available
+\fBmysql\fR
+commands.
+.sp
+If you provide an argument to the
+help
+command,
+\fBmysql\fR
+uses it as a search string to access server\-side help from the contents of the Drizzle Reference Manual. For more information, see
+the section called \(lq\fBMYSQL\fR SERVER\-SIDE HELP\(rq.
+.TP 3n
+\(bu
+\fBcharset \fR\fB\fIcharset_name\fR\fR,
+\fB\\C \fR\fB\fIcharset_name\fR\fR
+.sp
+The
+charset
+command changes the default character set and issues a
+SET NAMES
+statement. This enables the character set to remain synchronized on the client and server if
+\fBmysql\fR
+is run with auto\-reconnect enabled (which is not recommended), because the specified character set is used for reconnects.
+.TP 3n
+\(bu
+\fBclear\fR,
+\fB\\c\fR
+.sp
+Clears the current input. Use this if you change your mind about executing the statement that you are entering.
+.TP 3n
+\(bu
+\fBconnect [\fR\fB\fIdb_name\fR\fR\fB \fR\fB\fIhost_name\fR\fR\fB]]\fR,
+\fB\\r [\fR\fB\fIdb_name\fR\fR\fB \fR\fB\fIhost_name\fR\fR\fB]]\fR
+.sp
+Reconnects to the server. The optional database name and host name arguments may be given to specify the default database or the host where the server is running. If omitted, the current values are used.
+.TP 3n
+\(bu
+\fBdelimiter \fR\fB\fIstr\fR\fR,
+\fB\\d \fR\fB\fIstr\fR\fR
+.sp
+The
+delimiter
+command changes the string that
+\fBmysql\fR
+interprets as the separator between SQL statements. The default is the semicolon character (\(lq;\(rq).
+.sp
+The delimiter can be specified as an unquoted or quoted argument. Quoting can be done with either single quote (') or douple quote (") characters. To include a quote within a quoted string, either quote the string with the other quote character or escape the quote with a backslash (\(lq\\\(rq) character. Backslash should be avoided outside of quoted strings because it is the escape character for Drizzle. For an unquoted argument, the delmiter is read up to the first space or end of line. For a quoted argument, the delimiter is read up to the matching quote on the line.
+.sp
+When the delimiter recognized by
+\fBmysql\fR
+is set to something other than the default of
+\(lq;\(rq, instances of that character are sent to the server without interpretation. However, the server itself still interprets
+\(lq;\(rq
+as a statement delimiter and processes statements accordingly. This behavior on the server side comes into play for multiple\-statement execution (see
+Section\ 20.10.12, \(lqC API Support for Multiple Statement Execution\(rq), and for parsing the body of stored procedures and functions, triggers, and events (see
+Section\ 18.1, \(lqDefining Stored Programs\(rq).
+.TP 3n
+\(bu
+\fBedit\fR,
+\fB\\e\fR
+.sp
+Edits the current input statement.
+\fBmysql\fR
+checks the values of the
+EDITOR
+and
+VISUAL
+environment variables to determine which editor to use. The default editor is
+\fBvi\fR
+if neither variable is set.
+.sp
+The
+\fBedit\fR
+command works only in Unix.
+.TP 3n
+\(bu
+\fBego\fR,
+\fB\\G\fR
+.sp
+Sends the current statement to the server to be executed and displays the result using vertical format.
+.TP 3n
+\(bu
+\fBexit\fR,
+\fB\\q\fR
+.sp
+Exits
+\fBmysql\fR.
+.TP 3n
+\(bu
+\fBgo\fR,
+\fB\\g\fR
+.sp
+Sends the current statement to the server to be executed.
+.TP 3n
+\(bu
+\fBnopager\fR,
+\fB\\n\fR
+.sp
+Disables output paging. See the description for
+\fBpager\fR.
+.sp
+The
+\fBnopager\fR
+command works only in Unix.
+.TP 3n
+\(bu
+\fBnotee\fR,
+\fB\\t\fR
+.sp
+Disables output copying to the tee file. See the description for
+\fBtee\fR.
+.TP 3n
+\(bu
+\fBnowarning\fR,
+\fB\\w\fR
+.sp
+Enables display of warnings after each statement.
+.TP 3n
+\(bu
+\fBpager [\fR\fB\fIcommand\fR\fR\fB]\fR,
+\fB\\P [\fR\fB\fIcommand\fR\fR\fB]\fR
+.sp
+By using the
+\fB\-\-pager\fR
+option when you invoke
+\fBmysql\fR, it is possible to browse or search query results in interactive mode with Unix programs such as
+\fBless\fR,
+\fBmore\fR, or any other similar program. If you specify no value for the option,
+\fBmysql\fR
+checks the value of the
+PAGER
+environment variable and sets the pager to that.
+.sp
+Output paging can be enabled interactively with the
+\fBpager\fR
+command and disabled with
+\fBnopager\fR. The command takes an optional argument; if given, the paging program is set to that. With no argument, the pager is set to the pager that was set on the command line, or
+stdout
+if no pager was specified.
+.sp
+Output paging works only in Unix because it uses the
+popen()
+function, which does not exist on Windows. For Windows, the
+\fBtee\fR
+option can be used instead to save query output, although it is not as convenient as
+\fBpager\fR
+for browsing output in some situations.
+.TP 3n
+\(bu
+\fBprint\fR,
+\fB\\p\fR
+.sp
+Prints the current input statement without executing it.
+.TP 3n
+\(bu
+\fBprompt [\fR\fB\fIstr\fR\fR\fB]\fR,
+\fB\\R [\fR\fB\fIstr\fR\fR\fB]\fR
+.sp
+Reconfigures the
+\fBmysql\fR
+prompt to the given string. The special character sequences that can be used in the prompt are described later in this section.
+.sp
+If you specify the
+prompt
+command with no argument,
+\fBmysql\fR
+resets the prompt to the default of
+mysql>.
+.TP 3n
+\(bu
+\fBquit\fR,
+\fB\\q\fR
+.sp
+Exits
+\fBmysql\fR.
+.TP 3n
+\(bu
+\fBrehash\fR,
+\fB\\#\fR
+.sp
+Rebuilds the completion hash that enables database, table, and column name completion while you are entering statements. (See the description for the
+\fB\-\-auto\-rehash\fR
+option.)
+.TP 3n
+\(bu
+\fBsource \fR\fB\fIfile_name\fR\fR,
+\fB\\. \fR\fB\fIfile_name\fR\fR
+.sp
+Reads the named file and executes the statements contained therein. On Windows, you can specify path name separators as
+/
+or
+\\\\.
+.TP 3n
+\(bu
+\fBstatus\fR,
+\fB\\s\fR
+.sp
+The
+status
+command provides some information about the connection and the server you are using. If you are running in
+\fB\-\-safe\-updates\fR
+mode,
+status
+also prints the values for the
+\fBmysql\fR
+variables that affect your queries.
+.TP 3n
+\(bu
+\fBsystem \fR\fB\fIcommand\fR\fR,
+\fB\\! \fR\fB\fIcommand\fR\fR
+.sp
+Executes the given command using your default command interpreter.
+.sp
+The
+\fBsystem\fR
+command works only in Unix.
+.TP 3n
+\(bu
+\fBtee [\fR\fB\fIfile_name\fR\fR\fB]\fR,
+\fB\\T [\fR\fB\fIfile_name\fR\fR\fB]\fR
+.sp
+By using the
+\fB\-\-tee\fR
+option when you invoke
+\fBmysql\fR, you can log statements and their output. All the data displayed on the screen is appended into a given file. This can be very useful for debugging purposes also.
+\fBmysql\fR
+flushes results to the file after each statement, just before it prints its next prompt.
+.sp
+You can enable this feature interactively with the
+\fBtee\fR
+command. Without a parameter, the previous file is used. The
+\fBtee\fR
+file can be disabled with the
+\fBnotee\fR
+command. Executing
+\fBtee\fR
+again re\-enables logging.
+.TP 3n
+\(bu
+\fBuse \fR\fB\fIdb_name\fR\fR,
+\fB\\u \fR\fB\fIdb_name\fR\fR
+.sp
+Uses
+\fIdb_name\fR
+as the default database.
+.TP 3n
+\(bu
+\fBwarnings\fR,
+\fB\\W\fR
+.sp
+Enables display of warnings after each statement (if there are any).
+.sp
+.RE
+.PP
+Here are a few tips about the
+\fBpager\fR
+command:
+.TP 3n
+\(bu
+You can use it to write to a file and the results go only to the file:
+.sp
+.RS 3n
+.nf
+mysql> \fBpager cat > /tmp/log.txt\fR
+.fi
+.RE
+You can also pass any options for the program that you want to use as your pager:
+.sp
+.RS 3n
+.nf
+mysql> \fBpager less \-n \-i \-S\fR
+.fi
+.RE
+.TP 3n
+\(bu
+In the preceding example, note the
+\fB\-S\fR
+option. You may find it very useful for browsing wide query results. Sometimes a very wide result set is difficult to read on the screen. The
+\fB\-S\fR
+option to
+\fBless\fR
+can make the result set much more readable because you can scroll it horizontally using the left\-arrow and right\-arrow keys. You can also use
+\fB\-S\fR
+interactively within
+\fBless\fR
+to switch the horizontal\-browse mode on and off. For more information, read the
+\fBless\fR
+manual page:
+.sp
+.RS 3n
+.nf
+shell> \fBman less\fR
+.fi
+.RE
+.TP 3n
+\(bu
+The
+\fB\-F\fR
+and
+\fB\-X\fR
+options may be used with
+\fBless\fR
+to cause it to exit if output fits on one screen, which is convenient when no scrolling is necessary:
+.sp
+.RS 3n
+.nf
+mysql> \fBpager less \-n \-i \-S \-F \-X\fR
+.fi
+.RE
+.TP 3n
+\(bu
+You can specify very complex pager commands for handling query output:
+.sp
+.RS 3n
+.nf
+mysql> \fBpager cat | tee /dr1/tmp/res.txt \\\fR
+          \fB| tee /dr2/tmp/res2.txt | less \-n \-i \-S\fR
+.fi
+.RE
+In this example, the command would send query results to two files in two different directories on two different file systems mounted on
+\fI/dr1\fR
+and
+\fI/dr2\fR, yet still display the results onscreen via
+\fBless\fR.
+.sp
+.RE
+.PP
+You can also combine the
+\fBtee\fR
+and
+\fBpager\fR
+functions. Have a
+\fBtee\fR
+file enabled and
+\fBpager\fR
+set to
+\fBless\fR, and you are able to browse the results using the
+\fBless\fR
+program and still have everything appended into a file the same time. The difference between the Unix
+\fBtee\fR
+used with the
+\fBpager\fR
+command and the
+\fBmysql\fR
+built\-in
+\fBtee\fR
+command is that the built\-in
+\fBtee\fR
+works even if you do not have the Unix
+\fBtee\fR
+available. The built\-in
+\fBtee\fR
+also logs everything that is printed on the screen, whereas the Unix
+\fBtee\fR
+used with
+\fBpager\fR
+does not log quite that much. Additionally,
+\fBtee\fR
+file logging can be turned on and off interactively from within
+\fBmysql\fR. This is useful when you want to log some queries to a file, but not others.
+.PP
+The
+\fBprompt\fR
+command reconfigures the default
+mysql>
+prompt. The string for defining the prompt can contain the following special sequences.
+.TS
+allbox tab(:);
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l.
+T{
+\fBOption\fR
+T}:T{
+\fBDescription\fR
+T}
+T{
+\\o
+T}:T{
+The current month in numeric format
+T}
+T{
+\\P
+T}:T{
+am/pm
+T}
+T{
+\\p
+T}:T{
+The current TCP/IP port or socket file
+T}
+T{
+\\R
+T}:T{
+The current time, in 24\-hour military time (0\-23)
+T}
+T{
+\\r
+T}:T{
+The current time, standard 12\-hour time (1\-12)
+T}
+T{
+\\S
+T}:T{
+Semicolon
+T}
+T{
+\\s
+T}:T{
+Seconds of the current time
+T}
+T{
+\\t
+T}:T{
+A tab character
+T}
+T{
+\\U
+T}:T{
+Your full
+                \fIuser_name\fR@\fIhost_name\fR
+                account name
+T}
+T{
+\\u
+T}:T{
+Your user name
+T}
+T{
+\\c
+T}:T{
+A counter that increments for each statement you issue
+T}
+T{
+\\v
+T}:T{
+The server version
+T}
+T{
+\\w
+T}:T{
+The current day of the week in three\-letter format (Mon, Tue, \&...)
+T}
+T{
+\\Y
+T}:T{
+The current year, four digits
+T}
+T{
+\\y
+T}:T{
+The current year, two digits
+T}
+T{
+\\_
+T}:T{
+A space
+T}
+T{
+\\\ 
+T}:T{
+A space (a space follows the backslash)
+T}
+T{
+\\'
+T}:T{
+Single quote
+T}
+T{
+\\"
+T}:T{
+Double quote
+T}
+T{
+\\\\
+T}:T{
+A literal \(lq\\\(rq backslash character
+T}
+T{
+\\\fIx\fR
+T}:T{
+\fIx\fR, for any
+                \(lq\fIx\fR\(rq not listed
+                above
+T}
+T{
+\\D
+T}:T{
+The full current date
+T}
+T{
+\\d
+T}:T{
+The default database
+T}
+T{
+\\h
+T}:T{
+The server host
+T}
+T{
+\\l
+T}:T{
+The current delimiter
+T}
+T{
+\\m
+T}:T{
+Minutes of the current time
+T}
+T{
+\\n
+T}:T{
+A newline character
+T}
+T{
+\\O
+T}:T{
+The current month in three\-letter format (Jan, Feb, \&...)
+T}
+.TE
+.sp
+.PP
+You can set the prompt in several ways:
+.TP 3n
+\(bu
+\fIUse an environment variable.\fR
+You can set the
+MYSQL_PS1
+environment variable to a prompt string. For example:
+.sp
+.RS 3n
+.nf
+shell> \fBexport MYSQL_PS1="(\\u@\\h) [\\d]> "\fR
+.fi
+.RE
+.TP 3n
+\(bu
+\fIUse a command\-line option.\fR
+You can set the
+\fB\-\-prompt\fR
+option on the command line to
+\fBmysql\fR. For example:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \-\-prompt="(\\u@\\h) [\\d]> "\fR
+(user@host) [database]>
+.fi
+.RE
+.TP 3n
+\(bu
+\fIUse an option file.\fR
+You can set the
+prompt
+option in the
+[mysql]
+group of any Drizzle option file, such as
+\fI/etc/my.cnf\fR
+or the
+\fI.my.cnf\fR
+file in your home directory. For example:
+.sp
+.RS 3n
+.nf
+[mysql]
+prompt=(\\\\u@\\\\h) [\\\\d]>\\\\_
+.fi
+.RE
+In this example, note that the backslashes are doubled. If you set the prompt using the
+prompt
+option in an option file, it is advisable to double the backslashes when using the special prompt options. There is some overlap in the set of allowable prompt options and the set of special escape sequences that are recognized in option files. (These sequences are listed in
+Section\ 4.2.3.2, \(lqUsing Option Files\(rq.) The overlap may cause you problems if you use single backslashes. For example,
+\\s
+is interpreted as a space rather than as the current seconds value. The following example shows how to define a prompt within an option file to include the current time in
+HH:MM:SS>
+format:
+.sp
+.RS 3n
+.nf
+[mysql]
+prompt="\\\\r:\\\\m:\\\\s> "
+.fi
+.RE
+.TP 3n
+\(bu
+\fISet the prompt interactively.\fR
+You can change your prompt interactively by using the
+prompt
+(or
+\\R) command. For example:
+.sp
+.RS 3n
+.nf
+mysql> \fBprompt (\\u@\\h) [\\d]>\\_\fR
+PROMPT set to '(\\u@\\h) [\\d]>\\_'
+(\fIuser\fR@\fIhost\fR) [\fIdatabase\fR]>
+(\fIuser\fR@\fIhost\fR) [\fIdatabase\fR]> prompt
+Returning to default PROMPT of mysql>
+mysql>
+.fi
+.RE
+.SH "\fBMYSQL\fR SERVER\-SIDE HELP"
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp \fR\fB\fIsearch_string\fR\fR
+.fi
+.RE
+.PP
+If you provide an argument to the
+help
+command,
+\fBmysql\fR
+uses it as a search string to access server\-side help from the contents of the Drizzle Reference Manual. The proper operation of this command requires that the help tables in the
+mysql
+database be initialized with help topic information (see
+Section\ 5.1.8, \(lqServer\-Side Help\(rq).
+.PP
+If there is no match for the search string, the search fails:
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp me\fR
+Nothing found
+Please try to run 'help contents' for a list of all accessible topics
+.fi
+.RE
+.PP
+Use
+\fBhelp contents\fR
+to see a list of the help categories:
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp contents\fR
+You asked for help about help category: "Contents"
+For more information, type 'help <item>', where <item> is one of the
+following categories:
+   Account Management
+   Administration
+   Data Definition
+   Data Manipulation
+   Data Types
+   Functions
+   Functions and Modifiers for Use with GROUP BY
+   Geographic Features
+   Language Structure
+   Plugins
+   Storage Engines
+   Stored Routines
+   Table Maintenance
+   Transactions
+   Triggers
+.fi
+.RE
+.PP
+If the search string matches multiple items,
+\fBmysql\fR
+shows a list of matching topics:
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp logs\fR
+Many help items for your request exist.
+To make a more specific request, please type 'help <item>',
+where <item> is one of the following topics:
+   SHOW
+   SHOW BINARY LOGS
+   SHOW ENGINE
+   SHOW LOGS
+.fi
+.RE
+.PP
+Use a topic as the search string to see the help entry for that topic:
+.sp
+.RS 3n
+.nf
+mysql> \fBhelp show binary logs\fR
+Name: 'SHOW BINARY LOGS'
+Description:
+Syntax:
+SHOW BINARY LOGS
+SHOW MASTER LOGS
+Lists the binary log files on the server. This statement is used as
+part of the procedure described in [purge\-binary\-logs], that shows how
+to determine which logs can be purged.
+mysql> SHOW BINARY LOGS;
++\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-+
+| Log_name      | File_size |
++\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-+
+| binlog.000015 |    724935 |
+| binlog.000016 |    733481 |
++\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-+
+.fi
+.RE
+.SH "EXECUTING SQL STATEMENTS FROM A TEXT FILE"
+.PP
+The
+\fBmysql\fR
+client typically is used interactively, like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \fR\fB\fIdb_name\fR\fR
+.fi
+.RE
+.PP
+However, it is also possible to put your SQL statements in a file and then tell
+\fBmysql\fR
+to read its input from that file. To do so, create a text file
+\fItext_file\fR
+that contains the statements you wish to execute. Then invoke
+\fBmysql\fR
+as shown here:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \fR\fB\fIdb_name\fR\fR\fB < \fR\fB\fItext_file\fR\fR
+.fi
+.RE
+.PP
+If you place a
+USE \fIdb_name\fR
+statement as the first statement in the file, it is unnecessary to specify the database name on the command line:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql < text_file\fR
+.fi
+.RE
+.PP
+If you are already running
+\fBmysql\fR, you can execute an SQL script file using the
+source
+command or
+\\.
+command:
+.sp
+.RS 3n
+.nf
+mysql> \fBsource \fR\fB\fIfile_name\fR\fR
+mysql> \fB\\. \fR\fB\fIfile_name\fR\fR
+.fi
+.RE
+.PP
+Sometimes you may want your script to display progress information to the user. For this you can insert statements like this:
+.sp
+.RS 3n
+.nf
+SELECT '<info_to_display>' AS ' ';
+.fi
+.RE
+.PP
+The statement shown outputs
+<info_to_display>.
+.PP
+As of Drizzle 6.0.4,
+\fBmysql\fR
+ignores Unicode byte order mark (BOM) characters at the beginning of input files. Previously, it read them and sent them to the server, resulting in a syntax error. Presence of a BOM does not cause
+\fBmysql\fR
+to change its default character set. To do that, invoke
+\fBmysql\fR
+with an option such as
+\fB\-\-default\-character\-set=utf8\fR.
+.PP
+For more information about batch mode, see
+Section\ 3.5, \(lqUsing \fBmysql\fR in Batch Mode\(rq.
+.SH "\fBMYSQL\fR TIPS"
+.PP
+This section describes some techniques that can help you use
+\fBmysql\fR
+more effectively.
+.SS "Displaying Query Results Vertically"
+.PP
+Some query results are much more readable when displayed vertically, instead of in the usual horizontal table format. Queries can be displayed vertically by terminating the query with \\G instead of a semicolon. For example, longer text values that include newlines often are much easier to read with vertical output:
+.sp
+.RS 3n
+.nf
+mysql> \fBSELECT * FROM mails WHERE LENGTH(txt) < 300 LIMIT 300,1\\G\fR
+*************************** 1. row ***************************
+  msg_nro: 3068
+     date: 2000\-03\-01 23:29:50
+time_zone: +0200
+mail_from: Monty
+    reply: monty@no.spam.com
+  mail_to: "Thimble Smith" <tim@no.spam.com>
+      sbj: UTF\-8
+      txt: >>>>> "Thimble" == Thimble Smith writes:
+Thimble> Hi.  I think this is a good idea.  Is anyone familiar
+Thimble> with UTF\-8 or Unicode? Otherwise, I'll put this on my
+Thimble> TODO list and see what happens.
+Yes, please do that.
+Regards,
+Monty
+     file: inbox\-jani\-1
+     hash: 190402944
+1 row in set (0.09 sec)
+.fi
+.RE
+.\" end of SS subsection "Displaying Query Results Vertically"
+.SS "Using the \-\-safe\-updates Option"
+.PP
+For beginners, a useful startup option is
+\fB\-\-safe\-updates\fR
+(or
+\fB\-\-i\-am\-a\-dummy\fR, which has the same effect). It is helpful for cases when you might have issued a
+DELETE FROM \fItbl_name\fR
+statement but forgotten the
+WHERE
+clause. Normally, such a statement deletes all rows from the table. With
+\fB\-\-safe\-updates\fR, you can delete rows only by specifying the key values that identify them. This helps prevent accidents.
+.PP
+When you use the
+\fB\-\-safe\-updates\fR
+option,
+\fBmysql\fR
+issues the following statement when it connects to the Drizzle server:
+.sp
+.RS 3n
+.nf
+SET sql_safe_updates=1, sql_select_limit=1000, sql_max_join_size=1000000;
+.fi
+.RE
+.PP
+See
+Section\ 5.1.4, \(lqSession System Variables\(rq.
+.PP
+The
+SET
+statement has the following effects:
+.TP 3n
+\(bu
+You are not allowed to execute an
+UPDATE
+or
+DELETE
+statement unless you specify a key constraint in the
+WHERE
+clause or provide a
+LIMIT
+clause (or both). For example:
+.sp
+.RS 3n
+.nf
+UPDATE \fItbl_name\fR SET \fInot_key_column\fR=\fIval\fR WHERE \fIkey_column\fR=\fIval\fR;
+UPDATE \fItbl_name\fR SET \fInot_key_column\fR=\fIval\fR LIMIT 1;
+.fi
+.RE
+.TP 3n
+\(bu
+The server limits all large
+SELECT
+results to 1,000 rows unless the statement includes a
+LIMIT
+clause.
+.TP 3n
+\(bu
+The server aborts multiple\-table
+SELECT
+statements that probably need to examine more than 1,000,000 row combinations.
+.sp
+.RE
+.PP
+To specify limits different from 1,000 and 1,000,000, you can override the defaults by using the
+\fB\-\-select_limit\fR
+and
+\fB\-\-max_join_size\fR
+options:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \-\-safe\-updates \-\-select_limit=500 \-\-max_join_size=10000\fR
+.fi
+.RE
+.\" end of SS subsection "Using the \-\-safe\-updates Option"
+.SS "Disabling mysql Auto\-Reconnect"
+.PP
+If the
+\fBmysql\fR
+client loses its connection to the server while sending a statement, it immediately and automatically tries to reconnect once to the server and send the statement again. However, even if
+\fBmysql\fR
+succeeds in reconnecting, your first connection has ended and all your previous session objects and settings are lost: temporary tables, the autocommit mode, and user\-defined and session variables. Also, any current transaction rolls back. This behavior may be dangerous for you, as in the following example where the server was shut down and restarted between the first and second statements without you knowing it:
+.sp
+.RS 3n
+.nf
+mysql> \fBSET @a=1;\fR
+Query OK, 0 rows affected (0.05 sec)
+mysql> \fBINSERT INTO t VALUES(@a);\fR
+ERROR 2006: Drizzle server has gone away
+No connection. Trying to reconnect...
+Connection id:    1
+Current database: test
+Query OK, 1 row affected (1.30 sec)
+mysql> \fBSELECT * FROM t;\fR
++\-\-\-\-\-\-+
+| a    |
++\-\-\-\-\-\-+
+| NULL |
++\-\-\-\-\-\-+
+1 row in set (0.05 sec)
+.fi
+.RE
+.PP
+The
+@a
+user variable has been lost with the connection, and after the reconnection it is undefined. If it is important to have
+\fBmysql\fR
+terminate with an error if the connection has been lost, you can start the
+\fBmysql\fR
+client with the
+\fB\-\-skip\-reconnect\fR
+option.
+.PP
+For more information about auto\-reconnect and its effect on state information when a reconnection occurs, see
+Section\ 20.10.11, \(lqControlling Automatic Reconnection Behavior\(rq.
+.\" end of SS subsection "Disabling mysql Auto\-Reconnect"
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "REFERENCES"
+.TP 3
+1.\ Bug#25946
+\%http://bugs.mysql.com/25946
+.SH "SEE ALSO"
+For more information, please refer to the Drizzle Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'client/drizzlecheck.1'
--- client/drizzlecheck.1	1970-01-01 00:00:00 +0000
+++ client/drizzlecheck.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,433 @@
+.\"     Title: \fBmysqlcheck\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYSQLCHECK\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+mysqlcheck \- a table maintenance program
+.SH "SYNOPSIS"
+.HP 46
+\fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] [\fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItbl_name\fR\fR\fB ...]]\fR
+.SH "DESCRIPTION"
+.PP
+The
+\fBmysqlcheck\fR
+client performs table maintenance: It checks, repairs, optimizes, or analyzes tables.
+.PP
+Each table is locked and therefore unavailable to other sessions while it is being processed. Table maintenance operations can be time\-consuming, particularly for large tables. If you use the
+\fB\-\-databases\fR
+or
+\fB\-\-all\-databases\fR
+option to process all tables in one or more databases, an invocation of
+\fBmysqlcheck\fR
+might take a long time. (This is also true for
+\fBmysql_upgrade\fR
+because that program invokes
+\fBmysqlcheck\fR
+to check all tables and repair them if necessary.)
+.PP
+\fBmysqlcheck\fR
+is similar in function to
+\fBmyisamchk\fR, but works differently. The main operational difference is that
+\fBmysqlcheck\fR
+must be used when the
+\fBmysqld\fR
+server is running, whereas
+\fBmyisamchk\fR
+should be used when it is not. The benefit of using
+\fBmysqlcheck\fR
+is that you do not have to stop the server to perform table maintenance.
+.PP
+\fBmysqlcheck\fR
+uses the SQL statements
+CHECK TABLE,
+REPAIR TABLE,
+ANALYZE TABLE, and
+OPTIMIZE TABLE
+in a convenient way for the user. It determines which statements to use for the operation you want to perform, and then sends the statements to the server to be executed. For details about which storage engines each statement works with, see the descriptions for those statements in
+Section\ 12.5.2, \(lqTable Maintenance Statements\(rq.
+.PP
+The
+MyISAM
+storage engine supports all four maintenance operations, so
+\fBmysqlcheck\fR
+can be used to perform any of them on
+MyISAM
+tables. Other storage engines do not necessarily support all operations. In such cases, an error message is displayed. For example, if
+test.t
+is a
+MEMORY
+table, an attempt to check it produces this result:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqlcheck test t\fR
+test.t
+note     : The storage engine for the table doesn't support check
+.fi
+.RE
+.PP
+If
+\fBmysqlcheck\fR
+is unable to repair a table, see
+Section\ 2.11.4, \(lqRebuilding or Repairing Tables or Indexes\(rq
+for manual table repair strategies. This will be the case, for example, for
+InnoDB
+tables, which can be checked with
+CHECK TABLE, but not repaired with
+REPAIR TABLE.
+.PP
+The use of
+\fBmysqlcheck\fR
+with partitioned tables is not supported before MySQL 6.0.6.
+.sp
+.it 1 an-trap
+.nr an-no-space-flag 1
+.nr an-break-flag 1
+.br
+\fBCaution\fR
+.PP
+It is best to make a backup of a table before performing a table repair operation; under some circumstances the operation might cause data loss. Possible causes include but are not limited to file system errors.
+.PP
+There are three general ways to invoke
+\fBmysqlcheck\fR:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItables\fR\fR\fB]\fR
+shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \-\-databases \fR\fB\fIdb_name1\fR\fR\fB [\fR\fB\fIdb_name2\fR\fR\fB \fR\fB\fIdb_name3\fR\fR\fB...]\fR
+shell> \fBmysqlcheck [\fR\fB\fIoptions\fR\fR\fB] \-\-all\-databases\fR
+.fi
+.RE
+.PP
+If you do not name any tables following
+\fIdb_name\fR
+or if you use the
+\fB\-\-databases\fR
+or
+\fB\-\-all\-databases\fR
+option, entire databases are checked.
+.PP
+\fBmysqlcheck\fR
+has a special feature compared to other client programs. The default behavior of checking tables (\fB\-\-check\fR) can be changed by renaming the binary. If you want to have a tool that repairs tables by default, you should just make a copy of
+\fBmysqlcheck\fR
+named
+\fBmysqlrepair\fR, or make a symbolic link to
+\fBmysqlcheck\fR
+named
+\fBmysqlrepair\fR. If you invoke
+\fBmysqlrepair\fR, it repairs tables.
+.PP
+The following names can be used to change
+\fBmysqlcheck\fR
+default behavior.
+.TS
+allbox tab(:);
+l l
+l l
+l l.
+T{
+\fBmysqlrepair\fR
+T}:T{
+The default option is \fB\-\-repair\fR
+T}
+T{
+\fBmysqlanalyze\fR
+T}:T{
+The default option is \fB\-\-analyze\fR
+T}
+T{
+\fBmysqloptimize\fR
+T}:T{
+The default option is \fB\-\-optimize\fR
+T}
+.TE
+.sp
+.PP
+\fBmysqlcheck\fR
+supports the options in the following list. It also reads option files and supports the options for processing them described at
+Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit.
+.TP 3n
+\(bu
+\fB\-\-all\-databases\fR,
+\fB\-A\fR
+.sp
+Check all tables in all databases. This is the same as using the
+\fB\-\-databases\fR
+option and naming all the databases on the command line.
+.TP 3n
+\(bu
+\fB\-\-all\-in\-1\fR,
+\fB\-1\fR
+.sp
+Instead of issuing a statement for each table, execute a single statement for each database that names all the tables from that database to be processed.
+.TP 3n
+\(bu
+\fB\-\-analyze\fR,
+\fB\-a\fR
+.sp
+Analyze the tables.
+.TP 3n
+\(bu
+\fB\-\-auto\-repair\fR
+.sp
+If a checked table is corrupted, automatically fix it. Any necessary repairs are done after all tables have been checked.
+.TP 3n
+\(bu
+\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
+.sp
+The directory where character sets are installed. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-check\fR,
+\fB\-c\fR
+.sp
+Check the tables for errors. This is the default operation.
+.TP 3n
+\(bu
+\fB\-\-check\-only\-changed\fR,
+\fB\-C\fR
+.sp
+Check only tables that have changed since the last check or that have not been closed properly.
+.TP 3n
+\(bu
+\fB\-\-check\-upgrade\fR,
+\fB\-g\fR
+.sp
+Invoke
+CHECK TABLE
+with the
+FOR UPGRADE
+option to check tables for incompatibilities with the current version of the server. This option automatically enables the
+\fB\-\-fix\-db\-names\fR
+and
+\fB\-\-fix\-table\-names\fR
+options.
+.TP 3n
+\(bu
+\fB\-\-compress\fR
+.sp
+Compress all information sent between the client and the server if both support compression.
+.TP 3n
+\(bu
+\fB\-\-databases\fR,
+\fB\-B\fR
+.sp
+Process all tables in the named databases. Normally,
+\fBmysqlcheck\fR
+treats the first name argument on the command line as a database name and following names as table names. With this option, it treats all name arguments as database names.
+.TP 3n
+\(bu
+\fB\-\-debug[=\fR\fB\fIdebug_options\fR\fR\fB]\fR,
+\fB\-# [\fR\fB\fIdebug_options\fR\fR\fB]\fR
+.sp
+Write a debugging log. A typical
+\fIdebug_options\fR
+string is
+\'d:t:o,\fIfile_name\fR'. The default is
+\'d:t:o'.
+.TP 3n
+\(bu
+\fB\-\-debug\-check\fR
+.sp
+Print some debugging information when the program exits.
+.TP 3n
+\(bu
+\fB\-\-debug\-info\fR
+.sp
+Print debugging information and memory and CPU usage statistics when the program exits.
+.TP 3n
+\(bu
+\fB\-\-default\-character\-set=\fR\fB\fIcharset_name\fR\fR
+.sp
+Use
+\fIcharset_name\fR
+as the default character set. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-extended\fR,
+\fB\-e\fR
+.sp
+If you are using this option to check tables, it ensures that they are 100% consistent but takes a long time.
+.sp
+If you are using this option to repair tables, it runs an extended repair that may not only take a long time to execute, but may produce a lot of garbage rows also!
+.TP 3n
+\(bu
+\fB\-\-fast\fR,
+\fB\-F\fR
+.sp
+Check only tables that have not been closed properly.
+.TP 3n
+\(bu
+\fB\-\-fix\-db\-names\fR
+.sp
+Convert database names to 5.1 format. Only database names that contain special characters are affected.
+.TP 3n
+\(bu
+\fB\-\-fix\-table\-names\fR
+.sp
+Convert table names to 5.1 format. Only table names that contain special characters are affected. As of MySQL 6.0.5, this option also applies to views.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Continue even if an SQL error occurs.
+.TP 3n
+\(bu
+\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
+\fB\-h \fR\fB\fIhost_name\fR\fR
+.sp
+Connect to the MySQL server on the given host.
+.TP 3n
+\(bu
+\fB\-\-medium\-check\fR,
+\fB\-m\fR
+.sp
+Do a check that is faster than an
+\fB\-\-extended\fR
+operation. This finds only 99.99% of all errors, which should be good enough in most cases.
+.TP 3n
+\(bu
+\fB\-\-optimize\fR,
+\fB\-o\fR
+.sp
+Optimize the tables.
+.TP 3n
+\(bu
+\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
+\fB\-p[\fR\fB\fIpassword\fR\fR\fB]\fR
+.sp
+The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
+\fIcannot\fR
+have a space between the option and the password. If you omit the
+\fIpassword\fR
+value following the
+\fB\-\-password\fR
+or
+\fB\-p\fR
+option on the command line, you are prompted for one.
+.sp
+Specifying a password on the command line should be considered insecure. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.TP 3n
+\(bu
+\fB\-\-pipe\fR,
+\fB\-W\fR
+.sp
+On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
+.TP 3n
+\(bu
+\fB\-\-port=\fR\fB\fIport_num\fR\fR,
+\fB\-P \fR\fB\fIport_num\fR\fR
+.sp
+The TCP/IP port number to use for the connection.
+.TP 3n
+\(bu
+\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
+.sp
+The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
+Section\ 4.2.2, \(lqConnecting to the MySQL Server\(rq.
+.TP 3n
+\(bu
+\fB\-\-quick\fR,
+\fB\-q\fR
+.sp
+If you are using this option to check tables, it prevents the check from scanning the rows to check for incorrect links. This is the fastest check method.
+.sp
+If you are using this option to repair tables, it tries to repair only the index tree. This is the fastest repair method.
+.TP 3n
+\(bu
+\fB\-\-repair\fR,
+\fB\-r\fR
+.sp
+Perform a repair that can fix almost anything except unique keys that are not unique.
+.TP 3n
+\(bu
+\fB\-\-silent\fR,
+\fB\-s\fR
+.sp
+Silent mode. Print only error messages.
+.TP 3n
+\(bu
+\fB\-\-socket=\fR\fB\fIpath\fR\fR,
+\fB\-S \fR\fB\fIpath\fR\fR
+.sp
+For connections to
+localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
+.TP 3n
+\(bu
+\fB\-\-ssl*\fR
+.sp
+Options that begin with
+\fB\-\-ssl\fR
+specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
+Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
+.TP 3n
+\(bu
+\fB\-\-tables\fR
+.sp
+Overrides the
+\fB\-\-databases\fR
+or
+\fB\-B\fR
+option. All name arguments following the option are regarded as table names.
+.TP 3n
+\(bu
+\fB\-\-use\-frm\fR
+.sp
+For repair operations on
+MyISAM
+tables, get the table structure from the
+\fI.frm\fR
+file so that the table can be repaired even if the
+\fI.MYI\fR
+header is corrupted.
+.TP 3n
+\(bu
+\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
+\fB\-u \fR\fB\fIuser_name\fR\fR
+.sp
+The MySQL user name to use when connecting to the server.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Print information about the various stages of program operation.
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'client/drizzled.8'
--- client/drizzled.8	1970-01-01 00:00:00 +0000
+++ client/drizzled.8	2009-05-23 23:51:18 +0000
@@ -0,0 +1,53 @@
+.\"     Title: \fBmysqld\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYSQLD\fR" "8" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+mysqld \- the MySQL server
+.SH "SYNOPSIS"
+.HP 17
+\fBmysqld [\fR\fB\fIoptions\fR\fR\fB]\fR
+.SH "DESCRIPTION"
+.PP
+\fBmysqld\fR, also known as MySQL Server, is the main program that does most of the work in a MySQL installation. MySQL Server manages access to the MySQL data directory that contains databases and tables. The data directory is also the default location for other information such as log files and status files.
+.PP
+When MySQL server starts, it listens for network connections from client programs and manages access to databases on behalf of those clients.
+.PP
+The
+\fBmysqld\fR
+program has many options that can be specified at startup. For a complete list of options, run this command:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqld \-\-verbose \-\-help\fR
+.fi
+.RE
+.PP
+MySQL Server also has a set of system variables that affect its operation as it runs. System variables can be set at server startup, and many of them can be changed at runtime to effect dynamic server reconfiguration. MySQL Server also has a set of status variables that provide information about its operation. You can monitor these status variables to access runtime performance characteristics.
+.PP
+For a full description of MySQL Server command options, system variables, and status variables, see
+Section\ 5.1, \(lqThe MySQL Server\(rq. For information about installing MySQL and setting up the initial configuration, see
+Chapter\ 2, Installing and Upgrading MySQL.
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'client/drizzledump.1'
--- client/drizzledump.1	1970-01-01 00:00:00 +0000
+++ client/drizzledump.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,1205 @@
+.\"     Title: \fBmysqldump\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYSQLDUMP\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+mysqldump \- a database backup program
+.SH "SYNOPSIS"
+.HP 45
+\fBmysqldump [\fR\fB\fIoptions\fR\fR\fB] [\fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItbl_name\fR\fR\fB ...]]\fR
+.SH "DESCRIPTION"
+.PP
+The
+\fBmysqldump\fR
+client is a backup program originally written by Igor Romanenko. It can be used to dump a database or a collection of databases for backup or transfer to another SQL server (not necessarily a MySQL server). The dump typically contains SQL statements to create the table, populate it, or both. However,
+\fBmysqldump\fR
+can also be used to generate files in CSV, other delimited text, or XML format.
+.PP
+If you are doing a backup on the server and your tables all are
+MyISAM
+tables, consider using the
+\fBmysqlhotcopy\fR
+instead because it can accomplish faster backups and faster restores. See
+\fBmysqlhotcopy\fR(1).
+.PP
+There are three general ways to invoke
+\fBmysqldump\fR:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR\fB [\fR\fB\fItables\fR\fR\fB]\fR
+shell> \fBmysqldump [\fR\fB\fIoptions\fR\fR\fB] \-\-databases \fR\fB\fIdb_name1\fR\fR\fB [\fR\fB\fIdb_name2\fR\fR\fB \fR\fB\fIdb_name3\fR\fR\fB...]\fR
+shell> \fBmysqldump [\fR\fB\fIoptions\fR\fR\fB] \-\-all\-databases\fR
+.fi
+.RE
+.PP
+If you do not name any tables following
+\fIdb_name\fR
+or if you use the
+\fB\-\-databases\fR
+or
+\fB\-\-all\-databases\fR
+option, entire databases are dumped.
+.PP
+\fBmysqldump\fR
+does not dump the
+INFORMATION_SCHEMA
+database. If you name that database explicitly on the command line,
+\fBmysqldump\fR
+silently ignores it.
+.PP
+To get a list of the options your version of
+\fBmysqldump\fR
+supports, execute
+\fBmysqldump \-\-help\fR.
+.PP
+Some
+\fBmysqldump\fR
+options are shorthand for groups of other options.
+\fB\-\-opt\fR
+and
+\fB\-\-compact\fR
+fall into this category. For example, use of
+\fB\-\-opt\fR
+is the same as specifying
+\fB\-\-add\-drop\-table\fR
+\fB\-\-add\-locks\fR
+\fB\-\-create\-options\fR
+\fB\-\-disable\-keys\fR
+\fB\-\-extended\-insert\fR
+\fB\-\-lock\-tables\fR
+\fB\-\-quick\fR
+\fB\-\-set\-charset\fR. Note that all of the options that
+\fB\-\-opt\fR
+stands for also are on by default because
+\fB\-\-opt\fR
+is on by default.
+.PP
+To reverse the effect of a group option, uses its
+\fB\-\-skip\-\fR\fB\fIxxx\fR\fR
+form (\fB\-\-skip\-opt\fR
+or
+\fB\-\-skip\-compact\fR). It is also possible to select only part of the effect of a group option by following it with options that enable or disable specific features. Here are some examples:
+.TP 3n
+\(bu
+To select the effect of
+\fB\-\-opt\fR
+except for some features, use the
+\fB\-\-skip\fR
+option for each feature. For example, to disable extended inserts and memory buffering, use
+\fB\-\-opt\fR
+\fB\-\-skip\-extended\-insert\fR
+\fB\-\-skip\-quick\fR. (As of MySQL 6.0,
+\fB\-\-skip\-extended\-insert\fR
+\fB\-\-skip\-quick\fR
+is sufficient because
+\fB\-\-opt\fR
+is on by default.)
+.TP 3n
+\(bu
+To reverse
+\fB\-\-opt\fR
+for all features except index disabling and table locking, use
+\fB\-\-skip\-opt\fR
+\fB\-\-disable\-keys\fR
+\fB\-\-lock\-tables\fR.
+.sp
+.RE
+.PP
+When you selectively enable or disable the effect of a group option, order is important because options are processed first to last. For example,
+\fB\-\-disable\-keys\fR
+\fB\-\-lock\-tables\fR
+\fB\-\-skip\-opt\fR
+would not have the intended effect; it is the same as
+\fB\-\-skip\-opt\fR
+by itself.
+.PP
+\fBmysqldump\fR
+can retrieve and dump table contents row by row, or it can retrieve the entire content from a table and buffer it in memory before dumping it. Buffering in memory can be a problem if you are dumping large tables. To dump tables row by row, use the
+\fB\-\-quick\fR
+option (or
+\fB\-\-opt\fR, which enables
+\fB\-\-quick\fR). The
+\fB\-\-opt\fR
+option (and hence
+\fB\-\-quick\fR) is enabled by default in MySQL 6.0; to enable memory buffering, use
+\fB\-\-skip\-quick\fR.
+.PP
+If you are using a recent version of
+\fBmysqldump\fR
+to generate a dump to be reloaded into a very old MySQL server, you should not use the
+\fB\-\-opt\fR
+or
+\fB\-\-extended\-insert\fR
+option. Use
+\fB\-\-skip\-opt\fR
+instead.
+.PP
+\fBmysqldump\fR
+supports the options in the following list. It also reads option files and supports the options for processing them described at
+Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit.
+.TP 3n
+\(bu
+\fB\-\-add\-drop\-database\fR
+.sp
+Add a
+DROP DATABASE
+statement before each
+CREATE DATABASE
+statement.
+.TP 3n
+\(bu
+\fB\-\-add\-drop\-table\fR
+.sp
+Add a
+DROP TABLE
+statement before each
+CREATE TABLE
+statement.
+.TP 3n
+\(bu
+\fB\-\-add\-locks\fR
+.sp
+Surround each table dump with
+LOCK TABLES
+and
+UNLOCK TABLES
+statements. This results in faster inserts when the dump file is reloaded. See
+Section\ 7.2.25, \(lqSpeed of INSERT Statements\(rq.
+.TP 3n
+\(bu
+\fB\-\-all\-databases\fR,
+\fB\-A\fR
+.sp
+Dump all tables in all databases. This is the same as using the
+\fB\-\-databases\fR
+option and naming all the databases on the command line.
+.TP 3n
+\(bu
+\fB\-\-allow\-keywords\fR
+.sp
+Allow creation of column names that are keywords. This works by prefixing each column name with the table name.
+.TP 3n
+\(bu
+\fB\-\-apply\-slave\-statements\fR
+.sp
+For a slave dump produced with the
+\fB\-\-dump\-slave\fR
+option, add a
+STOP SLAVE
+statement before the
+CHANGE MASTER TO
+statement and a
+START SLAVE
+statement at the end of the output. This option was added in MySQL 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
+.sp
+The directory where character sets are installed. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-comments\fR,
+\fB\-i\fR
+.sp
+Write additional information in the dump file such as program version, server version, and host. This option is enabled by default. To suppress this additional information, use
+\fB\-\-skip\-comments\fR.
+.TP 3n
+\(bu
+\fB\-\-compact\fR
+.sp
+Produce less verbose output. This option enables the
+\fB\-\-skip\-add\-drop\-table\fR,
+\fB\-\-skip\-add\-locks\fR,
+\fB\-\-skip\-comments\fR,
+\fB\-\-skip\-disable\-keys\fR, and
+\fB\-\-skip\-set\-charset\fR
+options.
+.TP 3n
+\(bu
+\fB\-\-compatible=\fR\fB\fIname\fR\fR
+.sp
+Produce output that is more compatible with other database systems or with older MySQL servers. The value of
+name
+can be
+ansi,
+mysql323,
+mysql40,
+postgresql,
+oracle,
+mssql,
+db2,
+maxdb,
+no_key_options,
+no_table_options, or
+no_field_options. To use several values, separate them by commas. These values have the same meaning as the corresponding options for setting the server SQL mode. See
+Section\ 5.1.7, \(lqServer SQL Modes\(rq.
+.sp
+This option does not guarantee compatibility with other servers. It only enables those SQL mode values that are currently available for making dump output more compatible. For example,
+\fB\-\-compatible=oracle\fR
+does not map data types to Oracle types or use Oracle comment syntax.
+.sp
+\fIThis option requires a server version of 4.1.0 or higher\fR. With older servers, it does nothing.
+.TP 3n
+\(bu
+\fB\-\-complete\-insert\fR,
+\fB\-c\fR
+.sp
+Use complete
+INSERT
+statements that include column names.
+.TP 3n
+\(bu
+\fB\-\-compress\fR,
+\fB\-C\fR
+.sp
+Compress all information sent between the client and the server if both support compression.
+.TP 3n
+\(bu
+\fB\-\-create\-options\fR
+.sp
+Include all MySQL\-specific table options in the
+CREATE TABLE
+statements.
+.TP 3n
+\(bu
+\fB\-\-databases\fR,
+\fB\-B\fR
+.sp
+Dump several databases. Normally,
+\fBmysqldump\fR
+treats the first name argument on the command line as a database name and following names as table names. With this option, it treats all name arguments as database names.
+CREATE DATABASE
+and
+USE
+statements are included in the output before each new database.
+.TP 3n
+\(bu
+\fB\-\-debug[=\fR\fB\fIdebug_options\fR\fR\fB]\fR,
+\fB\-# [\fR\fB\fIdebug_options\fR\fR\fB]\fR
+.sp
+Write a debugging log. A typical
+\fIdebug_options\fR
+string is
+\'d:t:o,\fIfile_name\fR'. The default value is
+\'d:t:o,/tmp/mysqldump.trace'.
+.TP 3n
+\(bu
+\fB\-\-debug\-check\fR
+.sp
+Print some debugging information when the program exits.
+.TP 3n
+\(bu
+\fB\-\-debug\-info\fR
+.sp
+Print debugging information and memory and CPU usage statistics when the program exits.
+.TP 3n
+\(bu
+\fB\-\-default\-character\-set=\fR\fB\fIcharset_name\fR\fR
+.sp
+Use
+\fIcharset_name\fR
+as the default character set. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq. If no character set is specified,
+\fBmysqldump\fR
+uses
+utf8, and earlier versions use
+latin1.
+.sp
+This option has no effect for output data files produced by using the
+\fB\-\-tab\fR
+option. See the description for that option.
+.TP 3n
+\(bu
+\fB\-\-delayed\-insert\fR
+.sp
+Write
+INSERT DELAYED
+statements rather than
+INSERT
+statements.
+.TP 3n
+\(bu
+\fB\-\-delete\-master\-logs\fR
+.sp
+On a master replication server, delete the binary logs after performing the dump operation. This option automatically enables
+\fB\-\-master\-data\fR.
+.TP 3n
+\(bu
+\fB\-\-disable\-keys\fR,
+\fB\-K\fR
+.sp
+For each table, surround the
+INSERT
+statements with
+/*!40000 ALTER TABLE \fItbl_name\fR DISABLE KEYS */;
+and
+/*!40000 ALTER TABLE \fItbl_name\fR ENABLE KEYS */;
+statements. This makes loading the dump file faster because the indexes are created after all rows are inserted. This option is effective only for non\-unique indexes of
+MyISAM
+tables.
+.TP 3n
+\(bu
+\fB\-\-dump\-date\fR
+.sp
+\fBmysqldump\fR
+produces a
+\-\- Dump completed on \fIDATE\fR
+comment at the end of the dump if the
+\fB\-\-comments\fR
+option is given. However, the date causes dump files for identical data take at different times to appear to be different.
+\fB\-\-dump\-date\fR
+and
+\fB\-\-skip\-dump\-date\fR
+control whether the date is added to the comment. The default is
+\fB\-\-dump\-date\fR
+(include the date in the comment).
+\fB\-\-skip\-dump\-date\fR
+suppresses date printing. This option was added in MySQL 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-dump\-slave[=\fR\fB\fIvalue\fR\fR\fB]\fR
+.sp
+This option is similar to
+\fB\-\-master\-data\fR
+except that it is used to dump a replication slave server to produce a dump file that can be used to set up another server as a slave that has the same master as the dumped server. It causes the dump output to include a
+CHANGE MASTER TO
+statement that indicates the binary log coordinates (file name and position) of the dumped slave's master (rather than the coordinates of the dumped server, as is done by the
+\fB\-\-master\-data\fR
+option). These are the master server coordinates from which the slave should start replicating. This option was added in MySQL 6.0.4.
+.sp
+The option value is handled the same way as for
+\fB\-\-master\-data\fR
+and has the same effect as
+\fB\-\-master\-data\fR
+in terms of enabling or disabling other options and in how locking is handled.
+.sp
+In conjunction with
+\fB\-\-dump\-slave\fR, the
+\fB\-\-apply\-slave\-statements\fR
+and
+\fB\-\-include\-master\-host\-port\fR
+options can also be used.
+.TP 3n
+\(bu
+\fB\-\-events\fR,
+\fB\-E\fR
+.sp
+Dump events from the dumped databases.
+.TP 3n
+\(bu
+\fB\-\-extended\-insert\fR,
+\fB\-e\fR
+.sp
+Use multiple\-row
+INSERT
+syntax that include several
+VALUES
+lists. This results in a smaller dump file and speeds up inserts when the file is reloaded.
+.TP 3n
+\(bu
+\fB\-\-fields\-terminated\-by=...\fR,
+\fB\-\-fields\-enclosed\-by=...\fR,
+\fB\-\-fields\-optionally\-enclosed\-by=...\fR,
+\fB\-\-fields\-escaped\-by=...\fR
+.sp
+These options are used with the
+\fB\-T\fR
+option and have the same meaning as the corresponding clauses for
+LOAD DATA INFILE. See
+Section\ 12.2.6, \(lqLOAD DATA INFILE Syntax\(rq.
+.TP 3n
+\(bu
+\fB\-\-first\-slave\fR,
+\fB\-x\fR
+.sp
+Deprecated. Now renamed to
+\fB\-\-lock\-all\-tables\fR.
+.TP 3n
+\(bu
+\fB\-\-flush\-logs\fR,
+\fB\-F\fR
+.sp
+Flush the MySQL server log files before starting the dump. This option requires the
+RELOAD
+privilege. Note that if you use this option in combination with the
+\fB\-\-all\-databases\fR
+(or
+\fB\-A\fR) option, the logs are flushed
+\fIfor each database dumped\fR. The exception is when using
+\fB\-\-lock\-all\-tables\fR
+or
+\fB\-\-master\-data\fR: In this case, the logs are flushed only once, corresponding to the moment that all tables are locked. If you want your dump and the log flush to happen at exactly the same moment, you should use
+\fB\-\-flush\-logs\fR
+together with either
+\fB\-\-lock\-all\-tables\fR
+or
+\fB\-\-master\-data\fR.
+.TP 3n
+\(bu
+\fB\-\-flush\-privileges\fR
+.sp
+Emit a
+FLUSH PRIVILEGES
+statement after dumping the
+mysql
+database. This option should be used any time the dump contains the
+mysql
+database and any other database that depends on the data in the
+mysql
+database for proper restoration.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Continue even if an SQL error occurs during a table dump.
+.sp
+One use for this option is to cause
+\fBmysqldump\fR
+to continue executing even when it encounters a view that has become invalid because the definition refers to a table that has been dropped. Without
+\fB\-\-force\fR,
+\fBmysqldump\fR
+exits with an error message. With
+\fB\-\-force\fR,
+\fBmysqldump\fR
+prints the error message, but it also writes an SQL comment containing the view definition to the dump output and continues executing.
+.TP 3n
+\(bu
+\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
+\fB\-h \fR\fB\fIhost_name\fR\fR
+.sp
+Dump data from the MySQL server on the given host. The default host is
+localhost.
+.TP 3n
+\(bu
+\fB\-\-hex\-blob\fR
+.sp
+Dump binary columns using hexadecimal notation (for example,
+\'abc'
+becomes
+0x616263). The affected data types are
+BINARY,
+VARBINARY,
+BLOB, and
+BIT.
+.TP 3n
+\(bu
+\fB\-\-include\-master\-host\-port\fR
+.sp
+For the
+CHANGE MASTER TO
+statement in a slave dump produced with the
+\fB\-\-dump\-slave\fR
+option, add
+MASTER_PORT
+and
+MASTER_PORT
+options for the host name and TCP/IP port number of the slave's master. This option was added in MySQL 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-ignore\-table=\fR\fB\fIdb_name.tbl_name\fR\fR
+.sp
+Do not dump the given table, which must be specified using both the database and table names. To ignore multiple tables, use this option multiple times. This option also can be used to ignore views.
+.TP 3n
+\(bu
+\fB\-\-insert\-ignore\fR
+.sp
+Write
+INSERT
+statements with the
+IGNORE
+option.
+.TP 3n
+\(bu
+\fB\-\-lines\-terminated\-by=...\fR
+.sp
+This option is used with the
+\fB\-T\fR
+option and has the same meaning as the corresponding clause for
+LOAD DATA INFILE. See
+Section\ 12.2.6, \(lqLOAD DATA INFILE Syntax\(rq.
+.TP 3n
+\(bu
+\fB\-\-lock\-all\-tables\fR,
+\fB\-x\fR
+.sp
+Lock all tables across all databases. This is achieved by acquiring a global read lock for the duration of the whole dump. This option automatically turns off
+\fB\-\-single\-transaction\fR
+and
+\fB\-\-lock\-tables\fR.
+.TP 3n
+\(bu
+\fB\-\-lock\-tables\fR,
+\fB\-l\fR
+.sp
+Lock all tables before dumping them. The tables are locked with
+READ LOCAL
+to allow concurrent inserts in the case of
+MyISAM
+tables. For transactional tables such as
+InnoDB
+and
+BDB,
+\fB\-\-single\-transaction\fR
+is a much better option, because it does not need to lock the tables at all.
+.sp
+Please note that when dumping multiple databases,
+\fB\-\-lock\-tables\fR
+locks tables for each database separately. Therefore, this option does not guarantee that the tables in the dump file are logically consistent between databases. Tables in different databases may be dumped in completely different states.
+.TP 3n
+\(bu
+\fB\-\-log\-error=\fR\fB\fIfile_name\fR\fR
+.sp
+Append warnings and errors to the named file.
+.TP 3n
+\(bu
+\fB\-\-master\-data[=\fR\fB\fIvalue\fR\fR\fB]\fR
+.sp
+Use this option to dump a master replication server to produce a dump file that can be used to set up another server as a slave of the master. It causes the dump output to include a
+CHANGE MASTER TO
+statement that indicates the binary log coordinates (file name and position) of the dumped server. These are the master server coordinates from which the slave should start replicating.
+.sp
+If the option value is 2, the
+CHANGE MASTER TO
+statement is written as an SQL comment, and thus is informative only; it has no effect when the dump file is reloaded. If the option value is 1, the statement takes effect when the dump file is reloaded. If the option value is not specified, the default value is 1.
+.sp
+This option requires the
+RELOAD
+privilege and the binary log must be enabled.
+.sp
+The
+\fB\-\-master\-data\fR
+option automatically turns off
+\fB\-\-lock\-tables\fR. It also turns on
+\fB\-\-lock\-all\-tables\fR, unless
+\fB\-\-single\-transaction\fR
+also is specified, in which case, a global read lock is acquired only for a short time at the beginning of the dump (see the description for
+\fB\-\-single\-transaction\fR). In all cases, any action on logs happens at the exact moment of the dump.
+.sp
+It is also possible to set up a slave by dumping an existing slave of the master. To do this, use the
+\fB\-\-dump\-slave\fR
+option instead.
+.TP 3n
+\(bu
+\fB\-\-no\-autocommit\fR
+.sp
+Enclose the
+INSERT
+statements for each dumped table within
+SET autocommit = 0
+and
+COMMIT
+statements.
+.TP 3n
+\(bu
+\fB\-\-no\-create\-db\fR,
+\fB\-n\fR
+.sp
+This option suppresses the
+CREATE DATABASE
+statements that are otherwise included in the output if the
+\fB\-\-databases\fR
+or
+\fB\-\-all\-databases\fR
+option is given.
+.TP 3n
+\(bu
+\fB\-\-no\-create\-info\fR,
+\fB\-t\fR
+.sp
+Do not write
+CREATE TABLE
+statements that re\-create each dumped table.
+.TP 3n
+\(bu
+\fB\-\-no\-data\fR,
+\fB\-d\fR
+.sp
+Do not write any table row information (that is, do not dump table contents). This is very useful if you want to dump only the
+CREATE TABLE
+statement for the table.
+.TP 3n
+\(bu
+\fB\-\-no\-set\-names\fR
+.sp
+This option is deprecated. Use
+\fB\-\-skip\-set\-charset\fR. instead.
+.TP 3n
+\(bu
+\fB\-\-opt\fR
+.sp
+This option is shorthand; it is the same as specifying
+\fB\-\-add\-drop\-table\fR
+\fB\-\-add\-locks\fR
+\fB\-\-create\-options\fR
+\fB\-\-disable\-keys\fR
+\fB\-\-extended\-insert\fR
+\fB\-\-lock\-tables\fR
+\fB\-\-quick\fR
+\fB\-\-set\-charset\fR. It should give you a fast dump operation and produce a dump file that can be reloaded into a MySQL server quickly.
+.sp
+\fIThe \fR\fI\fB\-\-opt\fR\fR\fI option is enabled by default. Use \fR\fI\fB\-\-skip\-opt\fR\fR\fI to disable it.\fR
+See the discussion at the beginning of this section for information about selectively enabling or disabling certain of the options affected by
+\fB\-\-opt\fR.
+.TP 3n
+\(bu
+\fB\-\-order\-by\-primary\fR
+.sp
+Sorts each table's rows by its primary key, or by its first unique index, if such an index exists. This is useful when dumping a
+MyISAM
+table to be loaded into an
+InnoDB
+table, but will make the dump itself take considerably longer.
+.TP 3n
+\(bu
+\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
+\fB\-p[\fR\fB\fIpassword\fR\fR\fB]\fR
+.sp
+The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
+\fIcannot\fR
+have a space between the option and the password. If you omit the
+\fIpassword\fR
+value following the
+\fB\-\-password\fR
+or
+\fB\-p\fR
+option on the command line, you are prompted for one.
+.sp
+Specifying a password on the command line should be considered insecure. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.TP 3n
+\(bu
+\fB\-\-pipe\fR,
+\fB\-W\fR
+.sp
+On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
+.TP 3n
+\(bu
+\fB\-\-port=\fR\fB\fIport_num\fR\fR,
+\fB\-P \fR\fB\fIport_num\fR\fR
+.sp
+The TCP/IP port number to use for the connection.
+.TP 3n
+\(bu
+\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
+.sp
+The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
+Section\ 4.2.2, \(lqConnecting to the MySQL Server\(rq.
+.TP 3n
+\(bu
+\fB\-\-quick\fR,
+\fB\-q\fR
+.sp
+This option is useful for dumping large tables. It forces
+\fBmysqldump\fR
+to retrieve rows for a table from the server a row at a time rather than retrieving the entire row set and buffering it in memory before writing it out.
+.TP 3n
+\(bu
+\fB\-\-quote\-names\fR,
+\fB\-Q\fR
+.sp
+Quote database, table, and column names within
+\(lq`\(rq
+characters. If the
+ANSI_QUOTES
+SQL mode is enabled, names are quoted within
+\(lq"\(rq
+characters. This option is enabled by default. It can be disabled with
+\fB\-\-skip\-quote\-names\fR, but this option should be given after any option such as
+\fB\-\-compatible\fR
+that may enable
+\fB\-\-quote\-names\fR.
+.TP 3n
+\(bu
+\fB\-\-replace\fR
+.sp
+Write
+REPLACE
+statements rather than
+INSERT
+statements.
+.TP 3n
+\(bu
+\fB\-\-result\-file=\fR\fB\fIfile_name\fR\fR,
+\fB\-r \fR\fB\fIfile_name\fR\fR
+.sp
+Direct output to a given file. This option should be used on Windows to prevent newline
+\(lq\\n\(rq
+characters from being converted to
+\(lq\\r\\n\(rq
+carriage return/newline sequences. The result file is created and its contents overwritten, even if an error occurs while generating the dump. The previous contents are lost.
+.TP 3n
+\(bu
+\fB\-\-routines\fR,
+\fB\-R\fR
+.sp
+Dump stored routines (procedures and functions) from the dumped databases. Use of this option requires the
+SELECT
+privilege for the
+mysql.proc
+table. The output generated by using
+\fB\-\-routines\fR
+contains
+CREATE PROCEDURE
+and
+CREATE FUNCTION
+statements to re\-create the routines. However, these statements do not include attributes such as the routine creation and modification timestamps. This means that when the routines are reloaded, they will be created with the timestamps equal to the reload time.
+.sp
+If you require routines to be re\-created with their original timestamp attributes, do not use
+\fB\-\-routines\fR. Instead, dump and reload the contents of the
+mysql.proc
+table directly, using a MySQL account that has appropriate privileges for the
+mysql
+database.
+.TP 3n
+\(bu
+\fB\-\-set\-charset\fR
+.sp
+Add
+SET NAMES \fIdefault_character_set\fR
+to the output. This option is enabled by default. To suppress the
+SET NAMES
+statement, use
+\fB\-\-skip\-set\-charset\fR.
+.TP 3n
+\(bu
+\fB\-\-single\-transaction\fR
+.sp
+This option issues a
+BEGIN
+SQL statement before dumping data from the server. It is useful only with transactional tables such as
+InnoDB, because then it dumps the consistent state of the database at the time when
+BEGIN
+was issued without blocking any applications.
+.sp
+When using this option, you should keep in mind that only
+InnoDB
+and
+Falcon
+tables are dumped in a consistent state. For example, any
+MyISAM
+or
+MEMORY
+tables dumped while using this option may still change state.
+.sp
+While a
+\fB\-\-single\-transaction\fR
+dump is in process, to ensure a valid dump file (correct table contents and binary log position), no other connection should use the following statements:
+ALTER TABLE,
+DROP TABLE,
+RENAME TABLE,
+TRUNCATE TABLE. A consistent read is not isolated from those statements, so use of them on a table to be dumped can cause the
+SELECT
+performed by
+\fBmysqldump\fR
+to retrieve the table contents to obtain incorrect contents or fail.
+.sp
+The
+\fB\-\-single\-transaction\fR
+option and the
+\fB\-\-lock\-tables\fR
+option are mutually exclusive, because
+LOCK TABLES
+causes any pending transactions to be committed implicitly.
+.sp
+To dump large tables, you should combine this option with
+\fB\-\-quick\fR.
+.TP 3n
+\(bu
+\fB\-\-skip\-comments\fR
+.sp
+See the description for the
+\fB\-\-comments\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-skip\-opt\fR
+.sp
+See the description for the
+\fB\-\-opt\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-socket=\fR\fB\fIpath\fR\fR,
+\fB\-S \fR\fB\fIpath\fR\fR
+.sp
+For connections to
+localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
+.TP 3n
+\(bu
+\fB\-\-ssl*\fR
+.sp
+Options that begin with
+\fB\-\-ssl\fR
+specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
+Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
+.TP 3n
+\(bu
+\fB\-\-tab=\fR\fB\fIpath\fR\fR,
+\fB\-T \fR\fB\fIpath\fR\fR
+.sp
+Produce tab\-separated data files. For each dumped table,
+\fBmysqldump\fR
+creates a
+\fI\fItbl_name\fR\fR\fI.sql\fR
+file that contains the
+CREATE TABLE
+statement that creates the table, and a
+\fI\fItbl_name\fR\fR\fI.txt\fR
+file that contains its data. The option value is the directory in which to write the files.
+.sp
+By default, the
+\fI.txt\fR
+data files are formatted using tab characters between column values and a newline at the end of each line. The format can be specified explicitly using the
+\fB\-\-fields\-\fR\fB\fIxxx\fR\fR
+and
+\fB\-\-lines\-terminated\-by\fR
+options.
+.sp
+Column values are dumped using the
+binary
+character set and the
+\fB\-\-default\-character\-set\fR
+option is ignored. In effect, there is no character set conversion. If a table contains columns in several character sets, the output data file will as well and you may not be able to reload the file correctly.
+.sp
+.it 1 an-trap
+.nr an-no-space-flag 1
+.nr an-break-flag 1
+.br
+\fBNote\fR
+This option should be used only when
+\fBmysqldump\fR
+is run on the same machine as the
+\fBmysqld\fR
+server. You must have the
+FILE
+privilege, and the server must have permission to write files in the directory that you specify.
+.TP 3n
+\(bu
+\fB\-\-tables\fR
+.sp
+Override the
+\fB\-\-databases\fR
+or
+\fB\-B\fR
+option.
+\fBmysqldump\fR
+regards all name arguments following the option as table names.
+.TP 3n
+\(bu
+\fB\-\-triggers\fR
+.sp
+Dump triggers for each dumped table. This option is enabled by default; disable it with
+\fB\-\-skip\-triggers\fR.
+.TP 3n
+\(bu
+\fB\-\-tz\-utc\fR
+.sp
+This option enables
+TIMESTAMP
+columns to be dumped and reloaded between servers in different time zones.
+\fBmysqldump\fR
+sets its connection time zone to UTC and adds
+SET TIME_ZONE='+00:00'
+to the dump file. Without this option,
+TIMESTAMP
+columns are dumped and reloaded in the time zones local to the source and destination servers, which can cause the values to change.
+\fB\-\-tz\-utc\fR
+also protects against changes due to daylight saving time.
+\fB\-\-tz\-utc\fR
+is enabled by default. To disable it, use
+\fB\-\-skip\-tz\-utc\fR.
+.TP 3n
+\(bu
+\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
+\fB\-u \fR\fB\fIuser_name\fR\fR
+.sp
+The MySQL user name to use when connecting to the server.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Print more information about what the program does.
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.TP 3n
+\(bu
+\fB\-\-where='\fR\fB\fIwhere_condition\fR\fR\fB'\fR,
+\fB\-w '\fR\fB\fIwhere_condition\fR\fR\fB'\fR
+.sp
+Dump only rows selected by the given
+WHERE
+condition. Quotes around the condition are mandatory if it contains spaces or other characters that are special to your command interpreter.
+.sp
+Examples:
+.sp
+.RS 3n
+.nf
+\-\-where="user='jimf'"
+\-w"userid>1"
+\-w"userid<1"
+.fi
+.RE
+.TP 3n
+\(bu
+\fB\-\-xml\fR,
+\fB\-X\fR
+.sp
+Write dump output as well\-formed XML.
+.sp
+\fBNULL\fR\fB, \fR\fB'NULL'\fR\fB, and Empty Values\fR: For some column named
+\fIcolumn_name\fR, the
+NULL
+value, an empty string, and the string value
+\'NULL'
+are distinguished from one another in the output generated by this option as follows.
+.TS
+allbox tab(:);
+l l
+l l
+l l
+l l.
+T{
+\fBValue\fR:
+T}:T{
+\fBXML Representation\fR:
+T}
+T{
+NULL (\fIunknown value\fR)
+T}:T{
+<field name="\fIcolumn_name\fR"
+                    xsi:nil="true" />
+T}
+T{
+\'' (\fIempty string\fR)
+T}:T{
+<field
+                    name="\fIcolumn_name\fR"></field>
+T}
+T{
+\'NULL' (\fIstring value\fR)
+T}:T{
+<field
+                    name="\fIcolumn_name\fR">NULL</field>
+T}
+.TE
+.sp
+The output from the
+\fBmysql\fR
+client when run using the
+\fB\-\-xml\fR
+option also follows these rules. (See
+the section called \(lq\fBMYSQL\fR OPTIONS\(rq.)
+.sp
+XML output from
+\fBmysqldump\fR
+includes the XML namespace, as shown here:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-xml \-u root world City\fR
+<?xml version="1.0"?>
+<mysqldump xmlns:xsi="http://www.w3.org/2001/XMLSchema\-instance">
+<database name="world">
+<table_structure name="City">
+<field Field="ID" Type="int(11)" Null="NO" Key="PRI" Extra="auto_increment" />
+<field Field="Name" Type="char(35)" Null="NO" Key="" Default="" Extra="" />
+<field Field="CountryCode" Type="char(3)" Null="NO" Key="" Default="" Extra="" />
+<field Field="District" Type="char(20)" Null="NO" Key="" Default="" Extra="" />
+<field Field="Population" Type="int(11)" Null="NO" Key="" Default="0" Extra="" />
+<key Table="City" Non_unique="0" Key_name="PRIMARY" Seq_in_index="1" Column_name="ID" Collation="A" Cardinality="4079"
+Null="" Index_type="BTREE" Comment="" />
+<options Name="City" Engine="MyISAM" Version="10" Row_format="Fixed" Rows="4079" Avg_row_length="67" Data_length="27329
+3" Max_data_length="18858823439613951" Index_length="43008" Data_free="0" Auto_increment="4080" Create_time="2007\-03\-31 01:47:01" Updat
+e_time="2007\-03\-31 01:47:02" Collation="latin1_swedish_ci" Create_options="" Comment="" />
+</table_structure>
+<table_data name="City">
+<row>
+<field name="ID">1</field>
+<field name="Name">Kabul</field>
+<field name="CountryCode">AFG</field>
+<field name="District">Kabol</field>
+<field name="Population">1780000</field>
+</row>
+\fI...\fR
+<row>
+<field name="ID">4079</field>
+<field name="Name">Rafah</field>
+<field name="CountryCode">PSE</field>
+<field name="District">Rafah</field>
+<field name="Population">92020</field>
+</row>
+</table_data>
+</database>
+</mysqldump>
+.fi
+.RE
+.sp
+.sp
+.RE
+.PP
+You can also set the following variables by using
+\fB\-\-\fR\fB\fIvar_name\fR\fR\fB=\fR\fB\fIvalue\fR\fR
+syntax:
+.TP 3n
+\(bu
+max_allowed_packet
+.sp
+The maximum size of the buffer for client/server communication. The maximum is 1GB.
+.TP 3n
+\(bu
+net_buffer_length
+.sp
+The initial size of the buffer for client/server communication. When creating multiple\-row\-insert statements (as with option
+\fB\-\-extended\-insert\fR
+or
+\fB\-\-opt\fR),
+\fBmysqldump\fR
+creates rows up to
+net_buffer_length
+length. If you increase this variable, you should also ensure that the
+net_buffer_length
+variable in the MySQL server is at least this large.
+.sp
+.RE
+.PP
+The most common use of
+\fBmysqldump\fR
+is probably for making a backup of an entire database:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \fR\fB\fIdb_name\fR\fR\fB > \fR\fB\fIbackup\-file.sql\fR\fR
+.fi
+.RE
+.PP
+You can read the dump file back into the server like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \fR\fB\fIdb_name\fR\fR\fB < \fR\fB\fIbackup\-file.sql\fR\fR
+.fi
+.RE
+.PP
+Or like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \-e "source \fR\fB\fI/path\-to\-backup/backup\-file.sql\fR\fR\fB" \fR\fB\fIdb_name\fR\fR
+.fi
+.RE
+.PP
+\fBmysqldump\fR
+is also very useful for populating databases by copying data from one MySQL server to another:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-opt \fR\fB\fIdb_name\fR\fR\fB | mysql \-\-host=\fR\fB\fIremote_host\fR\fR\fB \-C \fR\fB\fIdb_name\fR\fR
+.fi
+.RE
+.PP
+It is possible to dump several databases with one command:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-databases \fR\fB\fIdb_name1\fR\fR\fB [\fR\fB\fIdb_name2\fR\fR\fB ...] > my_databases.sql\fR
+.fi
+.RE
+.PP
+To dump all databases, use the
+\fB\-\-all\-databases\fR
+option:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-all\-databases > all_databases.sql\fR
+.fi
+.RE
+.PP
+For
+InnoDB
+tables,
+\fBmysqldump\fR
+provides a way of making an online backup:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-all\-databases \-\-single\-transaction > all_databases.sql\fR
+.fi
+.RE
+.PP
+This backup acquires a global read lock on all tables (using
+FLUSH TABLES WITH READ LOCK) at the beginning of the dump. As soon as this lock has been acquired, the binary log coordinates are read and the lock is released. If long updating statements are running when the
+FLUSH
+statement is issued, the MySQL server may get stalled until those statements finish. After that, the dump becomes lock\-free and does not disturb reads and writes on the tables. If the update statements that the MySQL server receives are short (in terms of execution time), the initial lock period should not be noticeable, even with many updates.
+.PP
+For point\-in\-time recovery (also known as
+\(lqroll\-forward,\(rq
+when you need to restore an old backup and replay the changes that happened since that backup), it is often useful to rotate the binary log (see
+Section\ 5.2.4, \(lqThe Binary Log\(rq) or at least know the binary log coordinates to which the dump corresponds:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-all\-databases \-\-master\-data=2 > all_databases.sql\fR
+.fi
+.RE
+.PP
+Or:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqldump \-\-all\-databases \-\-flush\-logs \-\-master\-data=2\fR
+              \fB> all_databases.sql\fR
+.fi
+.RE
+.PP
+The
+\fB\-\-master\-data\fR
+and
+\fB\-\-single\-transaction\fR
+options can be used simultaneously, which provides a convenient way to make an online backup suitable for point\-in\-time recovery if tables are stored using the
+InnoDB
+storage engine.
+.PP
+For more information on making backups, see
+Section\ 6.1, \(lqDatabase Backups\(rq, and
+Section\ 6.2, \(lqExample Backup and Recovery Strategy\(rq.
+.PP
+If you encounter problems backing up views, please read the section that covers restrictions on views which describes a workaround for backing up views when this fails due to insufficient privileges. See
+Section\ D.5, \(lqRestrictions on Views\(rq.
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'client/drizzleimport.1'
--- client/drizzleimport.1	1970-01-01 00:00:00 +0000
+++ client/drizzleimport.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,322 @@
+.\"     Title: \fBmysqlimport\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYSQLIMPORT\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+mysqlimport \- a data import program
+.SH "SYNOPSIS"
+.HP 44
+\fBmysqlimport [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR\fB \fR\fB\fItextfile1\fR\fR\fB ...\fR
+.SH "DESCRIPTION"
+.PP
+The
+\fBmysqlimport\fR
+client provides a command\-line interface to the
+LOAD DATA INFILE
+SQL statement. Most options to
+\fBmysqlimport\fR
+correspond directly to clauses of
+LOAD DATA INFILE
+syntax. See
+Section\ 12.2.6, \(lqLOAD DATA INFILE Syntax\(rq.
+.PP
+Invoke
+\fBmysqlimport\fR
+like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqlimport [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fIdb_name\fR\fR\fB \fR\fB\fItextfile1\fR\fR\fB [\fR\fB\fItextfile2\fR\fR\fB ...]\fR
+.fi
+.RE
+.PP
+For each text file named on the command line,
+\fBmysqlimport\fR
+strips any extension from the file name and uses the result to determine the name of the table into which to import the file's contents. For example, files named
+\fIpatient.txt\fR,
+\fIpatient.text\fR, and
+\fIpatient\fR
+all would be imported into a table named
+patient.
+.PP
+\fBmysqlimport\fR
+supports the options in the following list. It also reads option files and supports the options for processing them described at
+Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit.
+.TP 3n
+\(bu
+\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
+.sp
+The directory where character sets are installed. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-columns=\fR\fB\fIcolumn_list\fR\fR,
+\fB\-c \fR\fB\fIcolumn_list\fR\fR
+.sp
+This option takes a comma\-separated list of column names as its value. The order of the column names indicates how to match data file columns with table columns.
+.TP 3n
+\(bu
+\fB\-\-compress\fR,
+\fB\-C\fR
+.sp
+Compress all information sent between the client and the server if both support compression.
+.TP 3n
+\(bu
+\fB\-\-debug[=\fR\fB\fIdebug_options\fR\fR\fB]\fR,
+\fB\-# [\fR\fB\fIdebug_options\fR\fR\fB]\fR
+.sp
+Write a debugging log. A typical
+\fIdebug_options\fR
+string is
+\'d:t:o,\fIfile_name\fR'. The default is
+\'d:t:o'.
+.TP 3n
+\(bu
+\fB\-\-debug\-check\fR
+.sp
+Print some debugging information when the program exits.
+.TP 3n
+\(bu
+\fB\-\-debug\-info\fR
+.sp
+Print debugging information and memory and CPU usage statistics when the program exits.
+.TP 3n
+\(bu
+\fB\-\-default\-character\-set=\fR\fB\fIcharset_name\fR\fR
+.sp
+Use
+\fIcharset_name\fR
+as the default character set. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-delete\fR,
+\fB\-D\fR
+.sp
+Empty the table before importing the text file.
+.TP 3n
+\(bu
+\fB\-\-fields\-terminated\-by=...\fR,
+\fB\-\-fields\-enclosed\-by=...\fR,
+\fB\-\-fields\-optionally\-enclosed\-by=...\fR,
+\fB\-\-fields\-escaped\-by=...\fR
+.sp
+These options have the same meaning as the corresponding clauses for
+LOAD DATA INFILE. See
+Section\ 12.2.6, \(lqLOAD DATA INFILE Syntax\(rq.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Ignore errors. For example, if a table for a text file does not exist, continue processing any remaining files. Without
+\fB\-\-force\fR,
+\fBmysqlimport\fR
+exits if a table does not exist.
+.TP 3n
+\(bu
+\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
+\fB\-h \fR\fB\fIhost_name\fR\fR
+.sp
+Import data to the MySQL server on the given host. The default host is
+localhost.
+.TP 3n
+\(bu
+\fB\-\-ignore\fR,
+\fB\-i\fR
+.sp
+See the description for the
+\fB\-\-replace\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-ignore\-lines=\fR\fB\fIN\fR\fR
+.sp
+Ignore the first
+\fIN\fR
+lines of the data file.
+.TP 3n
+\(bu
+\fB\-\-lines\-terminated\-by=...\fR
+.sp
+This option has the same meaning as the corresponding clause for
+LOAD DATA INFILE. For example, to import Windows files that have lines terminated with carriage return/linefeed pairs, use
+\fB\-\-lines\-terminated\-by="\\r\\n"\fR. (You might have to double the backslashes, depending on the escaping conventions of your command interpreter.) See
+Section\ 12.2.6, \(lqLOAD DATA INFILE Syntax\(rq.
+.TP 3n
+\(bu
+\fB\-\-local\fR,
+\fB\-L\fR
+.sp
+Read input files locally from the client host.
+.TP 3n
+\(bu
+\fB\-\-lock\-tables\fR,
+\fB\-l\fR
+.sp
+Lock
+\fIall\fR
+tables for writing before processing any text files. This ensures that all tables are synchronized on the server.
+.TP 3n
+\(bu
+\fB\-\-low\-priority\fR
+.sp
+Use
+LOW_PRIORITY
+when loading the table. This affects only storage engines that use only table\-level locking (MyISAM,
+MEMORY,
+MERGE).
+.TP 3n
+\(bu
+\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
+\fB\-p[\fR\fB\fIpassword\fR\fR\fB]\fR
+.sp
+The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
+\fIcannot\fR
+have a space between the option and the password. If you omit the
+\fIpassword\fR
+value following the
+\fB\-\-password\fR
+or
+\fB\-p\fR
+option on the command line, you are prompted for one.
+.sp
+Specifying a password on the command line should be considered insecure. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.TP 3n
+\(bu
+\fB\-\-pipe\fR,
+\fB\-W\fR
+.sp
+On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
+.TP 3n
+\(bu
+\fB\-\-port=\fR\fB\fIport_num\fR\fR,
+\fB\-P \fR\fB\fIport_num\fR\fR
+.sp
+The TCP/IP port number to use for the connection.
+.TP 3n
+\(bu
+\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
+.sp
+The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
+Section\ 4.2.2, \(lqConnecting to the MySQL Server\(rq.
+.TP 3n
+\(bu
+\fB\-\-replace\fR,
+\fB\-r\fR
+.sp
+The
+\fB\-\-replace\fR
+and
+\fB\-\-ignore\fR
+options control handling of input rows that duplicate existing rows on unique key values. If you specify
+\fB\-\-replace\fR, new rows replace existing rows that have the same unique key value. If you specify
+\fB\-\-ignore\fR, input rows that duplicate an existing row on a unique key value are skipped. If you do not specify either option, an error occurs when a duplicate key value is found, and the rest of the text file is ignored.
+.TP 3n
+\(bu
+\fB\-\-silent\fR,
+\fB\-s\fR
+.sp
+Silent mode. Produce output only when errors occur.
+.TP 3n
+\(bu
+\fB\-\-socket=\fR\fB\fIpath\fR\fR,
+\fB\-S \fR\fB\fIpath\fR\fR
+.sp
+For connections to
+localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
+.TP 3n
+\(bu
+\fB\-\-ssl*\fR
+.sp
+Options that begin with
+\fB\-\-ssl\fR
+specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
+Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
+.TP 3n
+\(bu
+\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
+\fB\-u \fR\fB\fIuser_name\fR\fR
+.sp
+The MySQL user name to use when connecting to the server.
+.TP 3n
+\(bu
+\fB\-\-use\-threads=\fR\fB\fIN\fR\fR
+.sp
+Load files in parallel using
+\fIN\fR
+threads.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Print more information about what the program does.
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.sp
+.RE
+.PP
+Here is a sample session that demonstrates use of
+\fBmysqlimport\fR:
+.sp
+.RS 3n
+.nf
+shell> \fBmysql \-e 'CREATE TABLE imptest(id INT, n VARCHAR(30))' test\fR
+shell> \fBed\fR
+a
+100     Max Sydow
+101     Count Dracula
+.
+w imptest.txt
+32
+q
+shell> \fBod \-c imptest.txt\fR
+0000000   1   0   0  \\t   M   a   x       S   y   d   o   w  \\n   1   0
+0000020   1  \\t   C   o   u   n   t       D   r   a   c   u   l   a  \\n
+0000040
+shell> \fBmysqlimport \-\-local test imptest.txt\fR
+test.imptest: Records: 2  Deleted: 0  Skipped: 0  Warnings: 0
+shell> \fBmysql \-e 'SELECT * FROM imptest' test\fR
++\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+
+| id   | n             |
++\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+
+|  100 | Max Sydow     |
+|  101 | Count Dracula |
++\-\-\-\-\-\-+\-\-\-\-\-\-\-\-\-\-\-\-\-\-\-+
+.fi
+.RE
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'client/drizzleslap.1'
--- client/drizzleslap.1	1970-01-01 00:00:00 +0000
+++ client/drizzleslap.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,487 @@
+.\"     Title: \fBmysqlslap\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYSQLSLAP\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+mysqlslap \- load emulation client
+.SH "SYNOPSIS"
+.HP 20
+\fBmysqlslap [\fR\fB\fIoptions\fR\fR\fB]\fR
+.SH "DESCRIPTION"
+.PP
+\fBmysqlslap\fR
+is a diagnostic program designed to emulate client load for a MySQL server and to report the timing of each stage. It works as if multiple clients are accessing the server.
+.PP
+Invoke
+\fBmysqlslap\fR
+like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmysqlslap [\fR\fB\fIoptions\fR\fR\fB]\fR
+.fi
+.RE
+.PP
+Some options such as
+\fB\-\-create\fR
+or
+\fB\-\-query\fR
+enable you to specify a string containing an SQL statement or a file containing statements. If you specify a file, by default it must contain one statement per line. (That is, the implicit statement delimiter is the newline character.) Use the
+\fB\-\-delimiter\fR
+option to specify a different delimiter, which enables you to specify statements that span multiple lines or place multiple statements on a single line. You cannot include comments in a file;
+\fBmysqlslap\fR
+does not understand them.
+.PP
+\fBmysqlslap\fR
+runs in three stages:
+.TP 3n
+1.
+Create schema, table, and optionally any stored programs or data you want to using for the test. This stage uses a single client connection.
+.TP 3n
+2.
+Run the load test. This stage can use many client connections.
+.TP 3n
+3.
+Clean up (disconnect, drop table if specified). This stage uses a single client connection.
+.sp
+.RE
+.PP
+Examples:
+.PP
+Supply your own create and query SQL statements, with 50 clients querying and 200 selects for each:
+.sp
+.RS 3n
+.nf
+mysqlslap \-\-delimiter=";" \\
+  \-\-create="CREATE TABLE a (b int);INSERT INTO a VALUES (23)" \\
+  \-\-query="SELECT * FROM a" \-\-concurrency=50 \-\-iterations=200
+.fi
+.RE
+.PP
+Let
+\fBmysqlslap\fR
+build the query SQL statement with a table of two
+INT
+columns and three
+VARCHAR
+columns. Use five clients querying 20 times each. Do not create the table or insert the data (that is, use the previous test's schema and data):
+.sp
+.RS 3n
+.nf
+mysqlslap \-\-concurrency=5 \-\-iterations=20 \\
+  \-\-number\-int\-cols=2 \-\-number\-char\-cols=3 \\
+  \-\-auto\-generate\-sql
+.fi
+.RE
+.PP
+Tell the program to load the create, insert, and query SQL statements from the specified files, where the
+\fIcreate.sql\fR
+file has multiple table creation statements delimited by
+\';'
+and multiple insert statements delimited by
+\';'. The
+\fB\-\-query\fR
+file will have multiple queries delimited by
+\';'. Run all the load statements, then run all the queries in the query file with five clients (five times each):
+.sp
+.RS 3n
+.nf
+mysqlslap \-\-concurrency=5 \\
+  \-\-iterations=5 \-\-query=query.sql \-\-create=create.sql \\
+  \-\-delimiter=";"
+.fi
+.RE
+.PP
+\fBmysqlslap\fR
+supports the options in the following list. It also reads option files and supports the options for processing them described at
+Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\fR,
+\fB\-a\fR
+.sp
+Generate SQL statements automatically when they are not supplied in files or via command options.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-add\-autoincrement\fR
+.sp
+Add an
+AUTO_INCREMENT
+column to automatically generated tables.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-execute\-number=\fR\fB\fIN\fR\fR
+.sp
+Specify how many queries to generate automatically.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-guid\-primary\fR
+.sp
+Add a GUID\-based primary key to automatically generated tables.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-load\-type=\fR\fB\fItype\fR\fR
+.sp
+Specify the test load type. The allowable values are
+read
+(scan tables),
+write
+(insert into tables),
+key
+(read primary keys),
+update
+(update primary keys), or
+mixed
+(half inserts, half scanning selects). The default is
+mixed.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-secondary\-indexes=\fR\fB\fIN\fR\fR
+.sp
+Specify how many secondary indexes to add to automatically generated tables. By default, none are added.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-select\-columns=\fR\fB\fIstr\fR\fR
+.sp
+The string to use for the select columns used in automatic tests. You can use this to determine the effect on performance of selecting or excluding particular columns. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-unique\-query\-number=\fR\fB\fIN\fR\fR
+.sp
+How many different queries to generate for automatic tests. For example, if you run a
+key
+test that performs 1000 selects, you can use this option with a value of 1000 to run 1000 unique queries, or with a value of 50 to perform 50 different selects. The default is 10.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-unique\-write\-number=\fR\fB\fIN\fR\fR
+.sp
+How many different queries to generate for
+\fB\-\-auto\-generate\-sql\-write\-number\fR. The default is 10.
+.TP 3n
+\(bu
+\fB\-\-auto\-generate\-sql\-write\-number=\fR\fB\fIN\fR\fR
+.sp
+How many row inserts to perform on each thread. The default is 100.
+.TP 3n
+\(bu
+\fB\-\-burnin\fR
+.sp
+Run the full test case in an infinite loop. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-commit=\fR\fB\fIN\fR\fR
+.sp
+How many statements to execute before committing. The default is 0 (no commits are done).
+.TP 3n
+\(bu
+\fB\-\-compress\fR,
+\fB\-C\fR
+.sp
+Compress all information sent between the client and the server if both support compression.
+.TP 3n
+\(bu
+\fB\-\-concurrency=\fR\fB\fIN\fR\fR,
+\fB\-c \fR\fB\fIN\fR\fR
+.sp
+The number of clients to simulate when issuing the
+SELECT
+statement.
+.TP 3n
+\(bu
+\fB\-\-create=\fR\fB\fIvalue\fR\fR
+.sp
+The file or string containing the statement to use for creating the table.
+.TP 3n
+\(bu
+\fB\-\-create\-schema=\fR\fB\fIvalue\fR\fR
+.sp
+The schema in which to run the tests.
+.TP 3n
+\(bu
+\fB\-\-csv[=\fR\fB\fIfile_name\fR\fR\fB]\fR
+.sp
+Generate output in comma\-separated values format. The output goes to the named file, or to the standard output if no file is given.
+.TP 3n
+\(bu
+\fB\-\-debug[=\fR\fB\fIdebug_options\fR\fR\fB]\fR,
+\fB\-# [\fR\fB\fIdebug_options\fR\fR\fB]\fR
+.sp
+Write a debugging log. A typical
+\fIdebug_options\fR
+string is
+\'d:t:o,\fIfile_name\fR'. The default is
+\'d:t:o,/tmp/mysqlslap.trace'.
+.TP 3n
+\(bu
+\fB\-\-debug\-check\fR
+.sp
+Print some debugging information when the program exits.
+.TP 3n
+\(bu
+\fB\-\-debug\-info\fR,
+\fB\-T\fR
+.sp
+Print debugging information and memory and CPU usage statistics when the program exits.
+.TP 3n
+\(bu
+\fB\-\-delimiter=\fR\fB\fIstr\fR\fR,
+\fB\-F \fR\fB\fIstr\fR\fR
+.sp
+The delimiter to use in SQL statements supplied in files or via command options.
+.TP 3n
+\(bu
+\fB\-\-delayed\-start=\fR\fB\fIN\fR\fR
+.sp
+The maximum delay in microseconds. Startup of each thread is delayed by a random number of microseconds up to this maximum. The default is 0. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-detach=\fR\fB\fIN\fR\fR
+.sp
+Detach (close and reopen) each connection after each
+\fIN\fR
+statements. The default is 0 (connections are not detached).
+.TP 3n
+\(bu
+\fB\-\-engine=\fR\fB\fIengine_name\fR\fR,
+\fB\-e \fR\fB\fIengine_name\fR\fR
+.sp
+The storage engine to use for creating tables.
+.TP 3n
+\(bu
+\fB\-\-host=\fR\fB\fIhost_name\fR\fR,
+\fB\-h \fR\fB\fIhost_name\fR\fR
+.sp
+Connect to the MySQL server on the given host.
+.TP 3n
+\(bu
+\fB\-\-ignore\-sql\-errors\fR
+.sp
+Ignore SQL errors during the test run. By default, errors cause
+\fBmysqlslap\fR
+to exit. This option was added in MySQL 6.0.4.
+.TP 3n
+\(bu
+\fB\-\-iterations=\fR\fB\fIN\fR\fR,
+\fB\-i \fR\fB\fIN\fR\fR
+.sp
+The number of times to run the tests.
+.TP 3n
+\(bu
+\fB\-\-label=\fR\fB\fIstr\fR\fR
+.sp
+The label to use in printed and CSV output. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-number\-blob\-cols=\fR\fB\fIstr\fR\fR,
+.sp
+The number of
+BLOB
+columns to use if
+\fB\-\-auto\-generate\-sql\fR
+is specified.
+\fB\-\-number\-blob\-cols=3:1024/2048\fR
+would give you 3
+BLOB
+columns with a random size between 1024 and 2048. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-number\-char\-cols=\fR\fB\fIN\fR\fR,
+\fB\-x \fR\fB\fIN\fR\fR
+.sp
+The number of
+VARCHAR
+columns to use if
+\fB\-\-auto\-generate\-sql\fR
+is specified.
+.TP 3n
+\(bu
+\fB\-\-number\-int\-cols=\fR\fB\fIN\fR\fR,
+\fB\-y \fR\fB\fIN\fR\fR
+.sp
+The number of
+INT
+columns to use if
+\fB\-\-auto\-generate\-sql\fR
+is specified.
+.TP 3n
+\(bu
+\fB\-\-number\-of\-queries=\fR\fB\fIN\fR\fR
+.sp
+Limit each client to approximately this number of queries.
+.TP 3n
+\(bu
+\fB\-\-only\-print\fR
+.sp
+Do not connect to databases.
+\fBmysqlslap\fR
+only prints what it would have done.
+.TP 3n
+\(bu
+\fB\-\-password[=\fR\fB\fIpassword\fR\fR\fB]\fR,
+\fB\-p[\fR\fB\fIpassword\fR\fR\fB]\fR
+.sp
+The password to use when connecting to the server. If you use the short option form (\fB\-p\fR), you
+\fIcannot\fR
+have a space between the option and the password. If you omit the
+\fIpassword\fR
+value following the
+\fB\-\-password\fR
+or
+\fB\-p\fR
+option on the command line, you are prompted for one.
+.sp
+Specifying a password on the command line should be considered insecure. See
+Section\ 5.5.6.2, \(lqEnd\-User Guidelines for Password Security\(rq.
+.TP 3n
+\(bu
+\fB\-\-pipe\fR,
+\fB\-W\fR
+.sp
+On Windows, connect to the server via a named pipe. This option applies only for connections to a local server, and only if the server supports named\-pipe connections.
+.TP 3n
+\(bu
+\fB\-\-port=\fR\fB\fIport_num\fR\fR,
+\fB\-P \fR\fB\fIport_num\fR\fR
+.sp
+The TCP/IP port number to use for the connection.
+.TP 3n
+\(bu
+\fB\-\-post\-query=\fR\fB\fIvalue\fR\fR
+.sp
+The file or string containing the statement to execute after the tests have completed. This execution is not counted for timing purposes.
+.TP 3n
+\(bu
+\fB\-\-shared\-memory\-base\-name=\fR\fB\fIname\fR\fR
+.sp
+On Windows, the shared\-memory name to use, for connections made via shared memory to a local server. This option applies only if the server supports shared\-memory connections.
+.TP 3n
+\(bu
+\fB\-\-post\-system=\fR\fB\fIstr\fR\fR
+.sp
+The string to execute via
+system()
+after the tests have completed. This execution is not counted for timing purposes.
+.TP 3n
+\(bu
+\fB\-\-pre\-query=\fR\fB\fIvalue\fR\fR
+.sp
+The file or string containing the statement to execute before running the tests. This execution is not counted for timing purposes. This option was added in MySQL 5.1.18.
+.TP 3n
+\(bu
+\fB\-\-pre\-system=\fR\fB\fIstr\fR\fR
+.sp
+The string to execute via
+system()
+before running the tests. This execution is not counted for timing purposes.
+.TP 3n
+\(bu
+\fB\-\-preserve\-schema\fR
+.sp
+Preserve the schema from the
+\fBmysqlslap\fR
+run. The
+\fB\-\-auto\-generate\-sql\fR
+and
+\fB\-\-create\fR
+options disable this option. This option was removed in MySQL 6.0.5.
+.TP 3n
+\(bu
+\fB\-\-protocol={TCP|SOCKET|PIPE|MEMORY}\fR
+.sp
+The connection protocol to use for connecting to the server. It is useful when the other connection parameters normally would cause a protocol to be used other than the one you want. For details on the allowable values, see
+Section\ 4.2.2, \(lqConnecting to the MySQL Server\(rq.
+.TP 3n
+\(bu
+\fB\-\-query=\fR\fB\fIvalue\fR\fR,
+\fB\-q \fR\fB\fIvalue\fR\fR
+.sp
+The file or string containing the
+SELECT
+statement to use for retrieving data.
+.TP 3n
+\(bu
+\fB\-\-set\-random\-seed=\fR\fB\fIvalue\fR\fR,
+.sp
+The seed value for the randomizer.
+.TP 3n
+\(bu
+\fB\-\-silent\fR,
+\fB\-s\fR
+.sp
+Silent mode. No output.
+.TP 3n
+\(bu
+\fB\-\-slave\fR
+.sp
+Follow master locks for other
+\fBmysqlslap\fR
+clients. Use this option if you are trying to synchronize around one master server with
+\fB\-\-lock\-directory\fR
+plus NFS.
+.TP 3n
+\(bu
+\fB\-\-socket=\fR\fB\fIpath\fR\fR,
+\fB\-S \fR\fB\fIpath\fR\fR
+.sp
+For connections to
+localhost, the Unix socket file to use, or, on Windows, the name of the named pipe to use.
+.TP 3n
+\(bu
+\fB\-\-ssl*\fR
+.sp
+Options that begin with
+\fB\-\-ssl\fR
+specify whether to connect to the server via SSL and indicate where to find SSL keys and certificates. See
+Section\ 5.5.7.3, \(lqSSL Command Options\(rq.
+.TP 3n
+\(bu
+\fB\-\-timer\-length=\fR\fB\fIN\fR\fR
+.sp
+The duration in seconds to run each test. Tests that run longer are terminated. This option was added in MySQL 6.0.3.
+.TP 3n
+\(bu
+\fB\-\-user=\fR\fB\fIuser_name\fR\fR,
+\fB\-u \fR\fB\fIuser_name\fR\fR
+.sp
+The MySQL user name to use when connecting to the server.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Print more information about what the program does. This option can be used multiple times to increase the amount of information.
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== added file 'plugin/myisam/myisamchk.1'
--- plugin/myisam/myisamchk.1	1970-01-01 00:00:00 +0000
+++ plugin/myisam/myisamchk.1	2009-05-23 23:51:18 +0000
@@ -0,0 +1,842 @@
+.\"     Title: \fBmyisamchk\fR
+.\"    Author: 
+.\" Generator: DocBook XSL Stylesheets v1.70.1 <http://docbook.sf.net/>
+.\"      Date: 05/23/2009
+.\"    Manual: MySQL Database System
+.\"    Source: MySQL 6.0
+.\"
+.TH "\fBMYISAMCHK\fR" "1" "05/23/2009" "MySQL 6.0" "MySQL Database System"
+.\" disable hyphenation
+.nh
+.\" disable justification (adjust text to left margin only)
+.ad l
+.SH "NAME"
+myisamchk \- MyISAM table\-maintenance utility
+.SH "SYNOPSIS"
+.HP 33
+\fBmyisamchk [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fItbl_name\fR\fR\fB ...\fR
+.SH "DESCRIPTION"
+.PP
+The
+\fBmyisamchk\fR
+utility gets information about your database tables or checks, repairs, or optimizes them.
+\fBmyisamchk\fR
+works with
+MyISAM
+tables (tables that have
+\fI.MYD\fR
+and
+\fI.MYI\fR
+files for storing data and indexes).
+.PP
+The use of
+\fBmyisamchk\fR
+with partitioned tables is not supported.
+.sp
+.it 1 an-trap
+.nr an-no-space-flag 1
+.nr an-break-flag 1
+.br
+\fBCaution\fR
+.PP
+It is best to make a backup of a table before performing a table repair operation; under some circumstances the operation might cause data loss. Possible causes include but are not limited to file system errors.
+.PP
+Invoke
+\fBmyisamchk\fR
+like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk [\fR\fB\fIoptions\fR\fR\fB] \fR\fB\fItbl_name\fR\fR\fB ...\fR
+.fi
+.RE
+.PP
+The
+\fIoptions\fR
+specify what you want
+\fBmyisamchk\fR
+to do. They are described in the following sections. You can also get a list of options by invoking
+\fBmyisamchk \-\-help\fR.
+.PP
+With no options,
+\fBmyisamchk\fR
+simply checks your table as the default operation. To get more information or to tell
+\fBmyisamchk\fR
+to take corrective action, specify options as described in the following discussion.
+.PP
+\fItbl_name\fR
+is the database table you want to check or repair. If you run
+\fBmyisamchk\fR
+somewhere other than in the database directory, you must specify the path to the database directory, because
+\fBmyisamchk\fR
+has no idea where the database is located. In fact,
+\fBmyisamchk\fR
+does not actually care whether the files you are working on are located in a database directory. You can copy the files that correspond to a database table into some other location and perform recovery operations on them there.
+.PP
+You can name several tables on the
+\fBmyisamchk\fR
+command line if you wish. You can also specify a table by naming its index file (the file with the
+\fI.MYI\fR
+suffix). This allows you to specify all tables in a directory by using the pattern
+\fI*.MYI\fR. For example, if you are in a database directory, you can check all the
+MyISAM
+tables in that directory like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk *.MYI\fR
+.fi
+.RE
+.PP
+If you are not in the database directory, you can check all the tables there by specifying the path to the directory:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \fR\fB\fI/path/to/database_dir/\fR\fR\fB*.MYI\fR
+.fi
+.RE
+.PP
+You can even check all tables in all databases by specifying a wildcard with the path to the MySQL data directory:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \fR\fB\fI/path/to/datadir/*/*\fR\fR\fB.MYI\fR
+.fi
+.RE
+.PP
+The recommended way to quickly check all
+MyISAM
+tables is:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \-\-silent \-\-fast \fR\fB\fI/path/to/datadir/*/*\fR\fR\fB.MYI\fR
+.fi
+.RE
+.PP
+If you want to check all
+MyISAM
+tables and repair any that are corrupted, you can use the following command:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \-\-silent \-\-force \-\-fast \-\-update\-state \\\fR
+          \fB\-\-key_buffer_size=64M \-\-sort_buffer_size=64M \\\fR
+          \fB\-\-read_buffer_size=1M \-\-write_buffer_size=1M \\\fR
+          \fB\fI/path/to/datadir/*/*\fR\fR\fB.MYI\fR
+.fi
+.RE
+.PP
+This command assumes that you have more than 64MB free. For more information about memory allocation with
+\fBmyisamchk\fR, see
+the section called \(lq\fBMYISAMCHK\fR MEMORY USAGE\(rq.
+.sp
+.it 1 an-trap
+.nr an-no-space-flag 1
+.nr an-break-flag 1
+.br
+\fBImportant\fR
+.PP
+\fIYou must ensure that no other program is using the tables while you are running \fR\fI\fBmyisamchk\fR\fR. The most effective means of doing so is to shut down the MySQL server while running
+\fBmyisamchk\fR, or to lock all tables that
+\fBmyisamchk\fR
+is being used on.
+.PP
+Otherwise, when you run
+\fBmyisamchk\fR, it may display the following error message:
+.sp
+.RS 3n
+.nf
+warning: clients are using or haven't closed the table properly
+.fi
+.RE
+.PP
+This means that you are trying to check a table that has been updated by another program (such as the
+\fBmysqld\fR
+server) that hasn't yet closed the file or that has died without closing the file properly, which can sometimes lead to the corruption of one or more
+MyISAM
+tables.
+.PP
+If
+\fBmysqld\fR
+is running, you must force it to flush any table modifications that are still buffered in memory by using
+FLUSH TABLES. You should then ensure that no one is using the tables while you are running
+\fBmyisamchk\fR
+.PP
+However, the easiest way to avoid this problem is to use
+CHECK TABLE
+instead of
+\fBmyisamchk\fR
+to check tables. See
+Section\ 12.5.2.2, \(lqCHECK TABLE Syntax\(rq.
+.PP
+\fBmyisamchk\fR
+supports the options in the following table. It also reads option files and supports the options for processing them described at
+Section\ 4.2.3.2.1, \(lqCommand\-Line Options that Affect Option\-File Handling\(rq.
+.SH "\fBMYISAMCHK\fR GENERAL OPTIONS"
+.PP
+The options described in this section can be used for any type of table maintenance operation performed by
+\fBmyisamchk\fR. The sections following this one describe options that pertain only to specific operations, such as table checking or repairing.
+.TP 3n
+\(bu
+\fB\-\-help\fR,
+\fB\-?\fR
+.sp
+Display a help message and exit. Options are grouped by type of operation.
+.TP 3n
+\(bu
+\fB\-\-HELP\fR,
+\fB\-H\fR
+.sp
+Display a help message and exit. Options are presented in a single list.
+.TP 3n
+\(bu
+\fB\-\-debug=\fR\fB\fIdebug_options\fR\fR\fB, \-# \fR\fB\fIdebug_options\fR\fR
+.sp
+Write a debugging log. A typical
+\fIdebug_options\fR
+string is
+\'d:t:o,\fIfile_name\fR'. The default is
+\'d:t:o,/tmp/myisamchk.trace'.
+.TP 3n
+\(bu
+\fB\-\-silent\fR,
+\fB\-s\fR
+.sp
+Silent mode. Write output only when errors occur. You can use
+\fB\-s\fR
+twice (\fB\-ss\fR) to make
+\fBmyisamchk\fR
+very silent.
+.TP 3n
+\(bu
+\fB\-\-verbose\fR,
+\fB\-v\fR
+.sp
+Verbose mode. Print more information about what the program does. This can be used with
+\fB\-d\fR
+and
+\fB\-e\fR. Use
+\fB\-v\fR
+multiple times (\fB\-vv\fR,
+\fB\-vvv\fR) for even more output.
+.TP 3n
+\(bu
+\fB\-\-version\fR,
+\fB\-V\fR
+.sp
+Display version information and exit.
+.TP 3n
+\(bu
+\fB\-\-wait\fR,
+\fB\-w\fR
+.sp
+Instead of terminating with an error if the table is locked, wait until the table is unlocked before continuing. If you are running
+\fBmysqld\fR
+with external locking disabled, the table can be locked only by another
+\fBmyisamchk\fR
+command.
+.sp
+.RE
+.PP
+You can also set the following variables by using
+\fB\-\-\fR\fB\fIvar_name\fR\fR\fB=\fR\fB\fIvalue\fR\fR
+syntax:
+.TS
+allbox tab(:);
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l
+l l.
+T{
+\fBVariable\fR
+T}:T{
+\fBDefault Value\fR
+T}
+T{
+sort_key_blocks
+T}:T{
+16
+T}
+T{
+stats_method
+T}:T{
+nulls_unequal
+T}
+T{
+write_buffer_size
+T}:T{
+262136
+T}
+T{
+decode_bits
+T}:T{
+9
+T}
+T{
+ft_max_word_len
+T}:T{
+version\-dependent
+T}
+T{
+ft_min_word_len
+T}:T{
+4
+T}
+T{
+ft_stopword_file
+T}:T{
+built\-in list
+T}
+T{
+key_buffer_size
+T}:T{
+523264
+T}
+T{
+myisam_block_size
+T}:T{
+1024
+T}
+T{
+read_buffer_size
+T}:T{
+262136
+T}
+T{
+sort_buffer_size
+T}:T{
+2097144
+T}
+.TE
+.sp
+.PP
+The possible
+\fBmyisamchk\fR
+variables and their default values can be examined with
+\fBmyisamchk \-\-help\fR:
+.PP
+sort_buffer_size
+is used when the keys are repaired by sorting keys, which is the normal case when you use
+\fB\-\-recover\fR.
+.PP
+key_buffer_size
+is used when you are checking the table with
+\fB\-\-extend\-check\fR
+or when the keys are repaired by inserting keys row by row into the table (like when doing normal inserts). Repairing through the key buffer is used in the following cases:
+.TP 3n
+\(bu
+You use
+\fB\-\-safe\-recover\fR.
+.TP 3n
+\(bu
+The temporary files needed to sort the keys would be more than twice as big as when creating the key file directly. This is often the case when you have large key values for
+CHAR,
+VARCHAR, or
+TEXT
+columns, because the sort operation needs to store the complete key values as it proceeds. If you have lots of temporary space and you can force
+\fBmyisamchk\fR
+to repair by sorting, you can use the
+\fB\-\-sort\-recover\fR
+option.
+.sp
+.RE
+.PP
+Repairing through the key buffer takes much less disk space than using sorting, but is also much slower.
+.PP
+If you want a faster repair, set the
+key_buffer_size
+and
+sort_buffer_size
+variables to about 25% of your available memory. You can set both variables to large values, because only one of them is used at a time.
+.PP
+myisam_block_size
+is the size used for index blocks.
+.PP
+stats_method
+influences how
+NULL
+values are treated for index statistics collection when the
+\fB\-\-analyze\fR
+option is given. It acts like the
+myisam_stats_method
+system variable. For more information, see the description of
+myisam_stats_method
+in
+Section\ 5.1.3, \(lqServer System Variables\(rq, and
+Section\ 7.4.6, \(lqMyISAM Index Statistics Collection\(rq. For MySQL 6.0,
+stats_method
+was added in MySQL 5.0.14. For older versions, the statistics collection method is equivalent to
+nulls_equal.
+.PP
+The
+ft_min_word_len
+and
+ft_max_word_len
+variables are available as of MySQL 4.0.0.
+ft_stopword_file
+is available as of MySQL 4.0.19.
+.PP
+ft_min_word_len
+and
+ft_max_word_len
+indicate the minimum and maximum word length for
+FULLTEXT
+indexes.
+ft_stopword_file
+names the stopword file. These need to be set under the following circumstances.
+.PP
+If you use
+\fBmyisamchk\fR
+to perform an operation that modifies table indexes (such as repair or analyze), the
+FULLTEXT
+indexes are rebuilt using the default full\-text parameter values for minimum and maximum word length and the stopword file unless you specify otherwise. This can result in queries failing.
+.PP
+The problem occurs because these parameters are known only by the server. They are not stored in
+MyISAM
+index files. To avoid the problem if you have modified the minimum or maximum word length or the stopword file in the server, specify the same
+ft_min_word_len,
+ft_max_word_len, and
+ft_stopword_file
+values to
+\fBmyisamchk\fR
+that you use for
+\fBmysqld\fR. For example, if you have set the minimum word length to 3, you can repair a table with
+\fBmyisamchk\fR
+like this:
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \-\-recover \-\-ft_min_word_len=3 \fR\fB\fItbl_name\fR\fR\fB.MYI\fR
+.fi
+.RE
+.PP
+To ensure that
+\fBmyisamchk\fR
+and the server use the same values for full\-text parameters, you can place each one in both the
+[mysqld]
+and
+[myisamchk]
+sections of an option file:
+.sp
+.RS 3n
+.nf
+[mysqld]
+ft_min_word_len=3
+[myisamchk]
+ft_min_word_len=3
+.fi
+.RE
+.PP
+An alternative to using
+\fBmyisamchk\fR
+is to use the
+REPAIR TABLE,
+ANALYZE TABLE,
+OPTIMIZE TABLE, or
+ALTER TABLE. These statements are performed by the server, which knows the proper full\-text parameter values to use.
+.SH "\fBMYISAMCHK\fR CHECK OPTIONS"
+.PP
+\fBmyisamchk\fR
+supports the following options for table checking operations:
+.TP 3n
+\(bu
+\fB\-\-check\fR,
+\fB\-c\fR
+.sp
+Check the table for errors. This is the default operation if you specify no option that selects an operation type explicitly.
+.TP 3n
+\(bu
+\fB\-\-check\-only\-changed\fR,
+\fB\-C\fR
+.sp
+Check only tables that have changed since the last check.
+.TP 3n
+\(bu
+\fB\-\-extend\-check\fR,
+\fB\-e\fR
+.sp
+Check the table very thoroughly. This is quite slow if the table has many indexes. This option should only be used in extreme cases. Normally,
+\fBmyisamchk\fR
+or
+\fBmyisamchk \-\-medium\-check\fR
+should be able to determine whether there are any errors in the table.
+.sp
+If you are using
+\fB\-\-extend\-check\fR
+and have plenty of memory, setting the
+key_buffer_size
+variable to a large value helps the repair operation run faster.
+.TP 3n
+\(bu
+\fB\-\-fast\fR,
+\fB\-F\fR
+.sp
+Check only tables that haven't been closed properly.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Do a repair operation automatically if
+\fBmyisamchk\fR
+finds any errors in the table. The repair type is the same as that specified with the
+\fB\-\-recover\fR
+or
+\fB\-r\fR
+option.
+.TP 3n
+\(bu
+\fB\-\-information\fR,
+\fB\-i\fR
+.sp
+Print informational statistics about the table that is checked.
+.TP 3n
+\(bu
+\fB\-\-medium\-check\fR,
+\fB\-m\fR
+.sp
+Do a check that is faster than an
+\fB\-\-extend\-check\fR
+operation. This finds only 99.99% of all errors, which should be good enough in most cases.
+.TP 3n
+\(bu
+\fB\-\-read\-only\fR,
+\fB\-T\fR
+.sp
+Do not mark the table as checked. This is useful if you use
+\fBmyisamchk\fR
+to check a table that is in use by some other application that does not use locking, such as
+\fBmysqld\fR
+when run with external locking disabled.
+.TP 3n
+\(bu
+\fB\-\-update\-state\fR,
+\fB\-U\fR
+.sp
+Store information in the
+\fI.MYI\fR
+file to indicate when the table was checked and whether the table crashed. This should be used to get full benefit of the
+\fB\-\-check\-only\-changed\fR
+option, but you shouldn't use this option if the
+\fBmysqld\fR
+server is using the table and you are running it with external locking disabled.
+.SH "\fBMYISAMCHK\fR REPAIR OPTIONS"
+.PP
+\fBmyisamchk\fR
+supports the following options for table repair operations:
+.TP 3n
+\(bu
+\fB\-\-backup\fR,
+\fB\-B\fR
+.sp
+Make a backup of the
+\fI.MYD\fR
+file as
+\fI\fIfile_name\fR\fR\fI\-\fR\fI\fItime\fR\fR\fI.BAK\fR
+.TP 3n
+\(bu
+\fB\-\-character\-sets\-dir=\fR\fB\fIpath\fR\fR
+.sp
+The directory where character sets are installed. See
+Section\ 9.2, \(lqThe Character Set Used for Data and Sorting\(rq.
+.TP 3n
+\(bu
+\fB\-\-correct\-checksum\fR
+.sp
+Correct the checksum information for the table.
+.TP 3n
+\(bu
+\fB\-\-data\-file\-length=\fR\fB\fIlen\fR\fR\fB, \-D \fR\fB\fIlen\fR\fR
+.sp
+Maximum length of the data file (when re\-creating data file when it is
+\(lqfull\(rq).
+.TP 3n
+\(bu
+\fB\-\-extend\-check\fR,
+\fB\-e\fR
+.sp
+Do a repair that tries to recover every possible row from the data file. Normally, this also finds a lot of garbage rows. Do not use this option unless you are desperate.
+.TP 3n
+\(bu
+\fB\-\-force\fR,
+\fB\-f\fR
+.sp
+Overwrite old intermediate files (files with names like
+\fI\fItbl_name\fR\fR\fI.TMD\fR) instead of aborting.
+.TP 3n
+\(bu
+\fB\-\-keys\-used=\fR\fB\fIval\fR\fR,
+\fB\-k \fR\fB\fIval\fR\fR
+.sp
+For
+\fBmyisamchk\fR, the option value is a bit\-value that indicates which indexes to update. Each binary bit of the option value corresponds to a table index, where the first index is bit 0. An option value of 0 disables updates to all indexes, which can be used to get faster inserts. Deactivated indexes can be reactivated by using
+\fBmyisamchk \-r\fR.
+.TP 3n
+\(bu
+\fB\-\-no\-symlinks\fR,
+\fB\-l\fR
+.sp
+Do not follow symbolic links. Normally
+\fBmyisamchk\fR
+repairs the table that a symlink points to. This option does not exist as of MySQL 4.0 because versions from 4.0 on do not remove symlinks during repair operations.
+.TP 3n
+\(bu
+\fB\-\-max\-record\-length=\fR\fB\fIlen\fR\fR
+.sp
+Skip rows larger than the given length if
+\fBmyisamchk\fR
+cannot allocate memory to hold them.
+.TP 3n
+\(bu
+\fB\-\-parallel\-recover\fR,
+\fB\-p\fR
+.sp
+Uses the same technique as
+\fB\-r\fR
+and
+\fB\-n\fR, but creates all the keys in parallel, using different threads.
+\fIThis is beta\-quality code. Use at your own risk!\fR
+.TP 3n
+\(bu
+\fB\-\-quick\fR,
+\fB\-q\fR
+.sp
+Achieve a faster repair by not modifying the data file. You can specify this option twice to force
+\fBmyisamchk\fR
+to modify the original data file in case of duplicate keys.
+.TP 3n
+\(bu
+\fB\-\-recover\fR,
+\fB\-r\fR
+.sp
+Do a repair that can fix almost any problem except unique keys that are not unique (which is an extremely unlikely error with
+MyISAM
+tables). If you want to recover a table, this is the option to try first. You should try
+\fB\-\-safe\-recover\fR
+only if
+\fBmyisamchk\fR
+reports that the table cannot be recovered using
+\fB\-\-recover\fR. (In the unlikely case that
+\fB\-\-recover\fR
+fails, the data file remains intact.)
+.sp
+If you have lots of memory, you should increase the value of
+sort_buffer_size.
+.TP 3n
+\(bu
+\fB\-\-safe\-recover\fR,
+\fB\-o\fR
+.sp
+Do a repair using an old recovery method that reads through all rows in order and updates all index trees based on the rows found. This is an order of magnitude slower than
+\fB\-\-recover\fR, but can handle a couple of very unlikely cases that
+\fB\-\-recover\fR
+cannot. This recovery method also uses much less disk space than
+\fB\-\-recover\fR. Normally, you should repair first using
+\fB\-\-recover\fR, and then with
+\fB\-\-safe\-recover\fR
+only if
+\fB\-\-recover\fR
+fails.
+.sp
+If you have lots of memory, you should increase the value of
+key_buffer_size.
+.TP 3n
+\(bu
+\fB\-\-set\-character\-set=\fR\fB\fIname\fR\fR
+.sp
+Change the character set used by the table indexes. This option was replaced by
+\fB\-\-set\-collation\fR
+in MySQL 5.0.3.
+.TP 3n
+\(bu
+\fB\-\-set\-collation=\fR\fB\fIname\fR\fR
+.sp
+Specify the collation to use for sorting table indexes. The character set name is implied by the first part of the collation name.
+.TP 3n
+\(bu
+\fB\-\-sort\-recover\fR,
+\fB\-n\fR
+.sp
+Force
+\fBmyisamchk\fR
+to use sorting to resolve the keys even if the temporary files would be very large.
+.TP 3n
+\(bu
+\fB\-\-tmpdir=\fR\fB\fIpath\fR\fR,
+\fB\-t \fR\fB\fIpath\fR\fR
+.sp
+Path of the directory to be used for storing temporary files. If this is not set,
+\fBmyisamchk\fR
+uses the value of the
+TMPDIR
+environment variable.
+tmpdir
+can be set to a list of directory paths that are used successively in round\-robin fashion for creating temporary files. The separator character between directory names is the colon (\(lq:\(rq) on Unix and the semicolon (\(lq;\(rq) on Windows, NetWare, and OS/2.
+.TP 3n
+\(bu
+\fB\-\-unpack\fR,
+\fB\-u\fR
+.sp
+Unpack a table that was packed with
+\fBmyisampack\fR.
+.SH "OTHER MYISAMCHK OPTIONS"
+.PP
+\fBmyisamchk\fR
+supports the following options for actions other than table checks and repairs:
+.TP 3n
+\(bu
+\fB\-\-analyze\fR,
+\fB\-a\fR
+.sp
+Analyze the distribution of key values. This improves join performance by enabling the join optimizer to better choose the order in which to join the tables and which indexes it should use. To obtain information about the key distribution, use a
+\fBmyisamchk \-\-description \-\-verbose \fR\fB\fItbl_name\fR\fR
+command or the
+SHOW INDEX FROM \fItbl_name\fR
+statement.
+.TP 3n
+\(bu
+\fB\-\-block\-search=\fR\fB\fIoffset\fR\fR,
+\fB\-b \fR\fB\fIoffset\fR\fR
+.sp
+Find the record that a block at the given offset belongs to.
+.TP 3n
+\(bu
+\fB\-\-description\fR,
+\fB\-d\fR
+.sp
+Print some descriptive information about the table.
+.TP 3n
+\(bu
+\fB\-\-set\-auto\-increment[=\fR\fB\fIvalue\fR\fR\fB]\fR,
+\fB\-A[\fR\fB\fIvalue\fR\fR\fB]\fR
+.sp
+Force
+AUTO_INCREMENT
+numbering for new records to start at the given value (or higher, if there are existing records with
+AUTO_INCREMENT
+values this large). If
+\fIvalue\fR
+is not specified,
+AUTO_INCREMENT
+numbers for new records begin with the largest value currently in the table, plus one.
+.TP 3n
+\(bu
+\fB\-\-sort\-index\fR,
+\fB\-S\fR
+.sp
+Sort the index tree blocks in high\-low order. This optimizes seeks and makes table scans that use indexes faster.
+.TP 3n
+\(bu
+\fB\-\-sort\-records=\fR\fB\fIN\fR\fR,
+\fB\-R \fR\fB\fIN\fR\fR
+.sp
+Sort records according to a particular index. This makes your data much more localized and may speed up range\-based
+SELECT
+and
+ORDER BY
+operations that use this index. (The first time you use this option to sort a table, it may be very slow.) To determine a table's index numbers, use
+SHOW INDEX, which displays a table's indexes in the same order that
+\fBmyisamchk\fR
+sees them. Indexes are numbered beginning with 1.
+.sp
+If keys are not packed (PACK_KEYS=0), they have the same length, so when
+\fBmyisamchk\fR
+sorts and moves records, it just overwrites record offsets in the index. If keys are packed (PACK_KEYS=1),
+\fBmyisamchk\fR
+must unpack key blocks first, then re\-create indexes and pack the key blocks again. (In this case, re\-creating indexes is faster than updating offsets for each index.)
+.SH "\fBMYISAMCHK\fR MEMORY USAGE"
+.PP
+Memory allocation is important when you run
+\fBmyisamchk\fR.
+\fBmyisamchk\fR
+uses no more memory than its memory\-related variables are set to. If you are going to use
+\fBmyisamchk\fR
+on very large tables, you should first decide how much memory you want it to use. The default is to use only about 3MB to perform repairs. By using larger values, you can get
+\fBmyisamchk\fR
+to operate faster. For example, if you have more than 32MB RAM, you could use options such as these (in addition to any other options you might specify):
+.sp
+.RS 3n
+.nf
+shell> \fBmyisamchk \-\-sort_buffer_size=16M \-\-key_buffer_size=16M \\\fR
+           \fB\-\-read_buffer_size=1M \-\-write_buffer_size=1M ...\fR
+.fi
+.RE
+.PP
+Using
+\fB\-\-sort_buffer_size=16M\fR
+should probably be enough for most cases.
+.PP
+Be aware that
+\fBmyisamchk\fR
+uses temporary files in
+TMPDIR. If
+TMPDIR
+points to a memory file system, you may easily get out of memory errors. If this happens, run
+\fBmyisamchk\fR
+with the
+\fB\-\-tmpdir=\fR\fB\fIpath\fR\fR
+option to specify some directory located on a file system that has more space.
+.PP
+When repairing,
+\fBmyisamchk\fR
+also needs a lot of disk space:
+.TP 3n
+\(bu
+Double the size of the data file (the original file and a copy). This space is not needed if you do a repair with
+\fB\-\-quick\fR; in this case, only the index file is re\-created.
+\fIThis space must be available on the same file system as the original data file\fR, as the copy is created in the same directory as the original.
+.TP 3n
+\(bu
+Space for the new index file that replaces the old one. The old index file is truncated at the start of the repair operation, so you usually ignore this space. This space must be available on the same file system as the original data file.
+.TP 3n
+\(bu
+When using
+\fB\-\-recover\fR
+or
+\fB\-\-sort\-recover\fR
+(but not when using
+\fB\-\-safe\-recover\fR), you need space for a sort buffer. The following formula yields the amount of space required:
+.sp
+.RS 3n
+.nf
+(\fIlargest_key\fR + \fIrow_pointer_length\fR) \(mu \fInumber_of_rows\fR \(mu 2
+.fi
+.RE
+You can check the length of the keys and the
+row_pointer_length
+with
+\fBmyisamchk \-dv \fR\fB\fItbl_name\fR\fR. This space is allocated in the temporary directory (specified by
+TMPDIR
+or
+\fB\-\-tmpdir=\fR\fB\fIpath\fR\fR).
+.sp
+.RE
+.PP
+If you have a problem with disk space during repair, you can try
+\fB\-\-safe\-recover\fR
+instead of
+\fB\-\-recover\fR.
+.SH "COPYRIGHT"
+.PP
+Copyright 2007\-2008 MySQL AB, 2009 Sun Microsystems, Inc.
+.PP
+This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.
+.PP
+This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
+.PP
+You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110\-1301 USA or see http://www.gnu.org/licenses/.
+.SH "SEE ALSO"
+For more information, please refer to the MySQL Reference Manual,
+which may already be installed locally and which is also available
+online at http://dev.mysql.com/doc/.
+.SH AUTHOR
+Sun Microsystems, Inc. (http://www.mysql.com/).

=== modified file 'plugin/myisam/plugin.am'
--- plugin/myisam/plugin.am	2009-04-27 04:57:22 +0000
+++ plugin/myisam/plugin.am	2009-05-23 23:51:18 +0000
@@ -13,6 +13,8 @@
 #  along with this program; if not, write to the Free Software
 #  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 
+man_MANS+=		plugin/myisam/myisamchk.1
+
 noinst_LTLIBRARIES+=	plugin/myisam/libmyisam.la 
 noinst_HEADERS+=	\
 			plugin/myisam/ha_myisam.h \

